%{!?python_site: %global python_site %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")}
# platform-dependent
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%if 0%{?fedora:%{fedora} < 14}%{?rhel:%{rhel} < 7}
    %bcond_with systemd
%else
    %bcond_without systemd
%endif

%if 0%{?rhel}%{?suse_version}
    %bcond_with bodhi
%else
    %bcond_without bodhi
%endif

# build abrt-atomic subpackage
%bcond_with atomic

%ifarch aarch64
%define have_kexec_tools 0
%else
%define have_kexec_tools 1
%endif

%if 0%{?rhel} >= 6
    %define desktopvendor redhat
%else
    %if 0%{?suse_version}
        %define desktopvendor suse
    %else
        %define desktopvendor fedora
    %endif
%endif

%if 0%{?suse_version}
%define dbus_devel dbus-1-devel
%define libjson_devel libjson-devel
%define nss_devel mozilla-nss-devel
%define systemd_units systemd
%define shadow_utils pwdutils
%else
%define dbus_devel dbus-devel
%define libjson_devel json-c-devel
%define nss_devel nss-devel
%define systemd_units systemd-units
%define shadow_utils shadow-utils
%endif

# do not append package version to doc directory of subpackages in F20 and later; rhbz#993656
%if "%{_pkgdocdir}" == "%{_docdir}/%{name}"
    %define docdirversion %{nil}
%else
    %define docdirversion -%{version}
%endif

%define libreport_ver 2.5.1
%define satyr_ver 0.16

Summary: Automatic bug detection and reporting tool
Name: abrt
Version: 2.5.1
Release: 3%{?dist}.2
License: GPLv2+
Group: Applications/System
URL: https://github.com/abrt/abrt/wiki/ABRT-Project
Source: https://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz
BuildRequires: %{dbus_devel}
BuildRequires: gtk3-devel
BuildRequires: glib2-devel >= 2.43
BuildRequires: rpm-devel >= 4.6
BuildRequires: desktop-file-utils
BuildRequires: libnotify-devel
#why? BuildRequires: file-devel
BuildRequires: python-devel
BuildRequires: python3-devel
BuildRequires: python-argh
BuildRequires: python-argcomplete
BuildRequires: gettext
BuildRequires: libxml2-devel
BuildRequires: intltool
BuildRequires: libtool
BuildRequires: %{nss_devel}
BuildRequires: asciidoc
BuildRequires: doxygen
BuildRequires: xmlto
BuildRequires: libreport-devel >= %{libreport_ver}
BuildRequires: satyr-devel >= %{satyr_ver}
BuildRequires: systemd-python
BuildRequires: systemd-python3
BuildRequires: augeas

Requires: libreport >= %{libreport_ver}
Requires: satyr >= %{satyr_ver}
# these only exist on suse
%if 0%{?suse_version}
BuildRequires: dbus-1-glib-devel
Requires: dbus-1-glib
%endif

%if %{with systemd}
Requires: %{systemd_units}
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{name}-libs = %{version}-%{release}
Requires: %{name}-python = %{version}-%{release}
Requires(pre): %{shadow_utils}
Requires: python-augeas
Requires: python-dbus
Requires: python-dmidecode
Requires: libreport-plugin-ureport

%description
%{name} is a tool to help users to detect defects in applications and
to create a bug report with all information needed by maintainer to fix it.
It uses plugin system to extend its functionality.

%package libs
Summary: Libraries for %{name}
Group: System Environment/Libraries

%description libs
Libraries for %{name}.

%package devel
Summary: Development libraries for %{name}
Group: Development/Libraries
Requires: abrt-libs = %{version}-%{release}

%description devel
Development libraries and headers for %{name}.

%package gui-libs
Summary: Libraries for %{name}-gui
Group: System Environment/Libraries

%description gui-libs
Libraries for %{name}-gui.

%package gui-devel
Summary: Development libraries for %{name}-gui
Group: Development/Libraries
Requires: abrt-gui-libs = %{version}-%{release}

%description gui-devel
Development libraries and headers for %{name}-gui.

%package gui
Summary: %{name}'s gui
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: %{name}-dbus = %{version}-%{release}
Requires: gnome-abrt
Requires: gsettings-desktop-schemas >= 3.15
BuildRequires: libreport-gtk-devel >= %{libreport_ver}
BuildRequires: gsettings-desktop-schemas-devel >= 3.15
# we used to have abrt-applet, now abrt-gui includes it:
Provides: abrt-applet = %{version}-%{release}
Obsoletes: abrt-applet < 0.0.5
Conflicts: abrt-applet < 0.0.5
Requires: abrt-libs = %{version}-%{release}
Requires: abrt-gui-libs = %{version}-%{release}

%description gui
GTK+ wizard for convenient bug reporting.

%package addon-coredump-helper
Summary: %{name}'s /proc/sys/kernel/core_pattern helper
Group: System Environment/Libraries
Requires: abrt-libs = %{version}-%{release}

%description addon-coredump-helper
This package contains hook for C/C++ crashed programs.

%package addon-ccpp
Summary: %{name}'s C/C++ addon
Group: System Environment/Libraries
Requires: cpio
Requires: gdb >= 7.8.1-31
Requires: elfutils
%if 0%{!?rhel:1}
# abrt-action-perform-ccpp-analysis wants to run analyze_RetraceServer:
Requires: %{name}-retrace-client
%endif
Requires: %{name} = %{version}-%{release}
Requires: %{name}-addon-coredump-helper = %{version}-%{release}
Requires: abrt-libs = %{version}-%{release}
Requires: libreport-python

%description addon-ccpp
This package contains %{name}'s C/C++ analyzer plugin.

%package addon-upload-watch
Summary: %{name}'s upload addon
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: abrt-libs = %{version}-%{release}

%description addon-upload-watch
This package contains hook for uploaded problems.

%package retrace-client
Summary: %{name}'s retrace client
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: xz
Requires: tar

%description retrace-client
This package contains the client application for Retrace server
which is able to analyze C/C++ crashes remotely.

%package addon-kerneloops
Summary: %{name}'s kerneloops addon
Group: System Environment/Libraries
BuildRequires: systemd-devel
Requires: curl
Requires: %{name} = %{version}-%{release}
%if 0%{!?rhel:1}
Requires: libreport-plugin-kerneloops >= %{libreport_ver}
%endif
Requires: abrt-libs = %{version}-%{release}

%description addon-kerneloops
This package contains plugin for collecting kernel crash information from
system log.

%package addon-xorg
Summary: %{name}'s Xorg addon
Group: System Environment/Libraries
Requires: curl
Requires: %{name} = %{version}-%{release}
Requires: abrt-libs = %{version}-%{release}

%description addon-xorg
This package contains plugin for collecting Xorg crash information from Xorg
log.

%if %{?have_kexec_tools} == 1
%package addon-vmcore
Summary: %{name}'s vmcore addon
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: abrt-addon-kerneloops
Requires: kexec-tools
Requires: abrt-python
Requires: python-augeas

%description addon-vmcore
This package contains plugin for collecting kernel crash information from
vmcore files.
%endif

%package addon-pstoreoops
Summary: %{name}'s pstore oops addon
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: abrt-libs = %{version}-%{release}
Requires: abrt-addon-kerneloops
Obsoletes: abrt-addon-uefioops

%description addon-pstoreoops
This package contains plugin for collecting kernel oopses from pstore storage.

%if %{with bodhi}
%package plugin-bodhi
Summary: %{name}'s bodhi plugin
BuildRequires: %{libjson_devel}
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: libreport-web-devel >= %{libreport_ver}
Obsoletes: libreport-plugin-bodhi > 0.0.1
Provides: libreport-plugin-bodhi

%description plugin-bodhi
Search for a new updates in bodhi server.
%endif

%package addon-python
Summary: %{name}'s addon for catching and analyzing Python exceptions
Group: System Environment/Libraries
Requires: python
Requires: %{name} = %{version}-%{release}
Requires: systemd-python
Requires: abrt-python

%description addon-python
This package contains python hook and python analyzer plugin for handling
uncaught exception in python programs.

%package addon-python3
Summary: %{name}'s addon for catching and analyzing Python 3 exceptions
Group: System Environment/Libraries
Requires: python3
Requires: %{name} = %{version}-%{release}
Requires: systemd-python3
Requires: abrt-python3

%description addon-python3
This package contains python 3 hook and python analyzer plugin for handling
uncaught exception in python 3 programs.

%package tui
Summary: %{name}'s command line interface
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: libreport-cli >= %{libreport_ver}
Requires: abrt-libs = %{version}-%{release}
Requires: abrt-dbus

%description tui
This package contains a simple command line client for processing abrt reports
in command line environment.

%package cli-ng
Summary: %{name}'s improved command line interface
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: libreport-cli >= %{libreport_ver}
Requires: abrt-libs = %{version}-%{release}
Requires: abrt-dbus
Requires: abrt-python
Requires: abrt-addon-ccpp
Requires: python-argh
Requires: python-argcomplete
Requires: python-humanize

%description cli-ng
New generation command line interface for ABRT

%package cli
Summary: Virtual package to make easy default installation on non-graphical environments
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: abrt-tui
Requires: abrt-addon-kerneloops
Requires: abrt-addon-pstoreoops
%if %{?have_kexec_tools} == 1
Requires: abrt-addon-vmcore
%endif
Requires: abrt-addon-ccpp
Requires: abrt-addon-python
Requires: abrt-addon-python3
Requires: abrt-addon-xorg
%if 0%{?rhel}
Requires: libreport-rhel >= %{libreport_ver}
Requires: libreport-plugin-rhtsupport >= %{libreport_ver}
%else
Requires: abrt-retrace-client
%if %{with bodhi}
Requires: abrt-plugin-bodhi
%endif
%if 0%{!?suse_version:1}
Requires: libreport-plugin-bugzilla >= %{libreport_ver}
%endif
Requires: libreport-plugin-logger >= %{libreport_ver}
Requires: libreport-plugin-ureport >= %{libreport_ver}
%if 0%{?fedora}
Requires: libreport-fedora >= %{libreport_ver}
%endif
%endif

%description cli
Virtual package to install all necessary packages for usage from command line
environment.

%package desktop
Summary: Virtual package to make easy default installation on desktop environments
Group: User Interface/Desktops
# This package gets installed when anything requests bug-buddy -
# happens when users upgrade Fn to Fn+1;
# or if user just wants "typical desktop installation".
# Installing abrt-desktop should result in the abrt which works without
# any tweaking in abrt.conf (IOW: all plugins mentioned there must be installed)
Requires: %{name} = %{version}-%{release}
Requires: abrt-addon-kerneloops
Requires: abrt-addon-pstoreoops
%if %{?have_kexec_tools} == 1
Requires: abrt-addon-vmcore
%endif
Requires: abrt-addon-ccpp
Requires: abrt-addon-python
Requires: abrt-addon-python3
Requires: abrt-addon-xorg
# Default config of addon-ccpp requires gdb
Requires: gdb >= 7.8.1-31
Requires: abrt-gui
Requires: gnome-abrt
%if 0%{?rhel}
Requires: libreport-rhel >= %{libreport_ver}
Requires: libreport-plugin-rhtsupport >= %{libreport_ver}
%else
Requires: abrt-retrace-client
%if %{with bodhi}
Requires: abrt-plugin-bodhi
%endif
%if 0%{!?suse_version:1}
Requires: libreport-plugin-bugzilla >= %{libreport_ver}
%endif
Requires: libreport-plugin-logger >= %{libreport_ver}
Requires: libreport-plugin-ureport >= %{libreport_ver}
%if 0%{?fedora}
Requires: libreport-fedora >= %{libreport_ver}
%endif
%endif
#Requires: abrt-plugin-firefox
Provides: bug-buddy

%description desktop
Virtual package to install all necessary packages for usage from desktop
environment.

%if %{with atomic}
%package atomic
Summary: Package to make easy default installation on Atomic hosts.
Group: Applications/System
Requires: %{name}-addon-coredump-helper = %{version}-%{release}
Conflicts: %{name}-addon-ccpp

%description atomic
Package to install all necessary packages for usage from Atomic
hosts.
%endif

%package dbus
Summary: ABRT DBus service
Group: Applications/System
Requires: %{name} = %{version}-%{release}
BuildRequires: polkit-devel
Requires: abrt-libs = %{version}-%{release}

%description dbus
ABRT DBus service which provides org.freedesktop.problems API on dbus and
uses PolicyKit to authorize to access the problem data.


%package python
Summary: ABRT Python API
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}
Requires: pygobject2
Requires: dbus-python
Requires: libreport-python
BuildRequires: python-nose
BuildRequires: python-sphinx
BuildRequires: libreport-python

%description python
High-level API for querying, creating and manipulating
problems handled by ABRT in Python.

%package python-doc
Summary: ABRT Python API Documentation
Group: Documentation
BuildArch: noarch
BuildRequires: python2-devel
Requires: %{name} = %{version}-%{release}
Requires: %{name}-python = %{version}-%{release}

%description python-doc
Examples and documentation for ABRT Python API.

%package python3
Summary: ABRT Python 3 API
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}
Requires: pygobject3
Requires: python3-dbus
Requires: libreport-python3
BuildRequires: python3-nose
BuildRequires: python3-sphinx
BuildRequires: libreport-python3

%description python3
High-level API for querying, creating and manipulating
problems handled by ABRT in Python 3.

%package python3-doc
Summary: ABRT Python API Documentation
Group: Documentation
BuildArch: noarch
BuildRequires: python3-devel
Requires: %{name} = %{version}-%{release}
Requires: %{name}-python3 = %{version}-%{release}

%description python3-doc
Examples and documentation for ABRT Python 3 API.

%package console-notification
Summary: ABRT console notification script
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cli = %{version}-%{release}

%description console-notification
A small script which prints a count of detected problems when someone logs in
to the shell

%prep
%setup -q

%build
autoconf

%if 0%{?rhel:%{rhel} < 7}%{?fedora:%{fedora} < 18}
    %define var_base_dir spool
%else
    %define var_base_dir tmp
%endif

CFLAGS="%{optflags} -Werror" %configure \
%if 0%{?suse_version}
        --with-systemdsystemunitdir="%{_unitdir}" \
%endif
%if %{without bodhi}
        --without-bodhi \
%endif
%if %{without atomic}
        --without-atomic \
%endif
%if 0%{?rhel:%{rhel} < 7}%{?fedora:%{fedora} < 18}
        --with-defaultdumplocation=/var/%{var_base_dir}/abrt \
%endif
%if 0%{?rhel}
        --enable-suggest-autoreporting \
        --enable-authenticated-autoreporting \
%endif
%ifnarch arm armhfp armv7hl armv7l aarch64
        --enable-native-unwinder \
%endif
%if %{?have_kexec_tools} == 0
        --disable-addon-vmcore \
%endif
        --enable-doxygen-docs \
        --disable-silent-rules

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
             mandir=%{_mandir} \
             dbusabrtdocdir=%{_defaultdocdir}/%{name}-dbus%{docdirversion}/html/

%find_lang %{name}

# Remove byte-compiled python files generated by automake.
# automake uses system's python for all *.py files, even
# for those which needs to be byte-compiled with different
# version (python2/python3).
# rpm can do this work and use the appropriate python version.
find $RPM_BUILD_ROOT -name "*.py[co]" -delete

# remove all .la and .a files
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f
mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/var/cache/abrt-di
mkdir -p $RPM_BUILD_ROOT/var/run/abrt
mkdir -p $RPM_BUILD_ROOT/var/%{var_base_dir}/abrt
mkdir -p $RPM_BUILD_ROOT/var/spool/abrt-upload
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/abrt

desktop-file-install \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
        src/applet/abrt-applet.desktop

ln -sf %{_datadir}/applications/abrt-applet.desktop ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/

# After everything is installed, remove info dir
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%check
make check

%pre
#uidgid pair 173:173 reserved in setup rhbz#670231
%define abrt_gid_uid 173
getent group abrt >/dev/null || groupadd -f -g %{abrt_gid_uid} --system abrt
getent passwd abrt >/dev/null || useradd --system -g abrt -u %{abrt_gid_uid} -d /etc/abrt -s /sbin/nologin abrt
exit 0

%post
# $1 == 1 if install; 2 if upgrade
%systemd_post abrtd.service

%post addon-ccpp
# this is required for transition from 1.1.x to 2.x
# because /cache/abrt-di/* was created under root with root:root
# so 2.x fails when it tries to extract debuginfo there..
chown -R abrt:abrt %{_localstatedir}/cache/abrt-di
%systemd_post abrt-ccpp.service
%systemd_post abrt-journal-core.service

%post addon-kerneloops
%systemd_post abrt-oops.service

%post addon-xorg
%systemd_post abrt-xorg.service

%if %{?have_kexec_tools} == 1
%post addon-vmcore
%systemd_post abrt-vmcore.service
%endif

%post addon-pstoreoops
%systemd_post abrt-pstoreoops.service

%post addon-upload-watch
%systemd_post abrt-upload-watch.service

%preun
%systemd_preun abrtd.service

%preun addon-ccpp
%systemd_preun abrt-ccpp.service
%systemd_preun abrt-journal-core.service

%preun addon-kerneloops
%systemd_preun abrt-oops.service

%preun addon-xorg
%systemd_preun abrt-xorg.service

%if %{?have_kexec_tools} == 1
%preun addon-vmcore
%systemd_preun abrt-vmcore.service
%endif

%preun addon-pstoreoops
%systemd_preun abrt-pstoreoops.service

%preun addon-upload-watch
%systemd_preun abrt-upload-watch.service

%postun
%systemd_postun_with_restart abrtd.service

%postun addon-ccpp
%systemd_postun_with_restart abrt-ccpp.service
%systemd_postun_with_restart abrt-journal-core.service

%postun addon-kerneloops
%systemd_postun_with_restart abrt-oops.service

%postun addon-xorg
%systemd_postun_with_restart abrt-xorg.service

%if %{?have_kexec_tools} == 1
%postun addon-vmcore
%systemd_postun_with_restart abrt-vmcore.service
%endif

%postun addon-pstoreoops
%systemd_postun_with_restart abrt-pstoreoops.service

%postun addon-upload-watch
%systemd_postun_with_restart abrt-upload-watch.service

%post gui
# update icon cache
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%if %{with atomic}
%post atomic
if [ -f /etc/abrt/plugins/CCpp.conf ]; then
    mv /etc/abrt/plugins/CCpp.conf /etc/abrt/plugins/CCpp.conf.rpmsave.atomic || exit 1;
fi
ln -sf /etc/abrt/plugins/CCpp_Atomic.conf /etc/abrt/plugins/CCpp.conf
if [ -f /usr/share/abrt/conf.d/plugins/CCpp.conf ]; then
    mv /usr/share/abrt/conf.d/plugins/CCpp.conf /usr/share/abrt/conf.d/plugins/CCpp.conf.rpmsave.atomic || exit 1;
fi
ln -sf /usr/share/abrt/conf.d/plugins/CCpp_Atomic.conf /usr/share/abrt/conf.d/plugins/CCpp.conf
%systemd_post abrt-coredump-helper.service

%preun atomic
if [ -L /etc/abrt/plugins/CCpp.conf ]; then
    rm /etc/abrt/plugins/CCpp.conf
fi
if [ -L /usr/share/abrt/conf.d/plugins/CCpp.conf ]; then
    rm /usr/share/abrt/conf.d/plugins/CCpp.conf
fi
if [ -f /etc/abrt/plugins/CCpp.conf.rpmsave.atomic ]; then
    mv /etc/abrt/plugins/CCpp.conf.rpmsave.atomic /etc/abrt/plugins/CCpp.conf || exit 1
fi
if [ -f  /usr/share/abrt/conf.d/plugins/CCpp.conf.rpmsave.atomic ]; then
    mv /usr/share/abrt/conf.d/plugins/CCpp.conf.rpmsave.atomic /usr/share/abrt/conf.d/plugins/CCpp.conf || exit 1
fi

%postun atomic
%systemd_postun_with_restart abrt-coredump-helper.service
%endif # with atomic

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post gui-libs -p /sbin/ldconfig

%postun gui-libs -p /sbin/ldconfig

%postun gui
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
# update the old problem dirs to contain "type" element
service abrtd condrestart >/dev/null 2>&1 || :

%posttrans addon-ccpp
# Regenerate core_bactraces because of missing crash threads
service abrt-ccpp condrestart >/dev/null 2>&1 || :
abrtdir=$(grep "DumpLocation" /etc/abrt/abrt.conf | cut -d'=' -f2 | tr -d ' ')
if test -d "$abrtdir"; then
    for DD in `find "$abrtdir" -mindepth 1 -maxdepth 1 -type d`
    do
        if test -f "$DD/analyzer" && grep -q "^CCpp$" "$DD/analyzer"; then
            /usr/bin/abrt-action-generate-core-backtrace -d "$DD" -- >/dev/null 2>&1 || :
            test -f "$DD/core_backtrace" && chown `stat --format=%U:abrt $DD` "$DD/core_backtrace" || :
        fi
    done
fi

%posttrans addon-kerneloops
service abrt-oops condrestart >/dev/null 2>&1 || :

%posttrans addon-xorg
service abrt-xorg condrestart >/dev/null 2>&1 || :

%if %{?have_kexec_tools} == 1
%posttrans addon-vmcore
service abrt-vmcore condrestart >/dev/null 2>&1 || :
# Copy the configuration file to plugin's directory
test -f /etc/abrt/abrt-harvest-vmcore.conf && {
    echo "Moving /etc/abrt/abrt-harvest-vmcore.conf to /etc/abrt/plugins/vmcore.conf"
    mv -b /etc/abrt/abrt-harvest-vmcore.conf /etc/abrt/plugins/vmcore.conf
}
exit 0
%endif

%posttrans addon-pstoreoops
service abrt-pstoreoops condrestart >/dev/null 2>&1 || :

%posttrans gui
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING
%if %{with systemd}
%{_unitdir}/abrtd.service
%{_tmpfilesdir}/abrt.conf
%else
%{_initrddir}/abrtd
%endif
%{_sbindir}/abrtd
%{_sbindir}/abrt-server
%{_sbindir}/abrt-auto-reporting
%{_libexecdir}/abrt-handle-event
%{_libexecdir}/abrt-action-ureport
%{_libexecdir}/abrt-action-generate-machine-id
%{_bindir}/abrt-handle-upload
%{_bindir}/abrt-action-notify
%{_mandir}/man1/abrt-action-notify.1.gz
%{_bindir}/abrt-action-save-package-data
%{_bindir}/abrt-action-save-container-data
%{_bindir}/abrt-watch-log
%{_bindir}/abrt-action-analyze-python
%{_bindir}/abrt-action-analyze-xorg
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.problems.daemon.conf
%config(noreplace) %{_sysconfdir}/%{name}/abrt-action-save-package-data.conf
%{_datadir}/%{name}/conf.d/abrt-action-save-package-data.conf
%config(noreplace) %{_sysconfdir}/%{name}/plugins/xorg.conf
%{_datadir}/%{name}/conf.d/plugins/xorg.conf
%{_mandir}/man5/abrt-xorg.conf.5.gz
%config(noreplace) %{_sysconfdir}/%{name}/gpg_keys.conf
%{_datadir}/%{name}/conf.d/gpg_keys.conf
%{_mandir}/man5/gpg_keys.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/abrt_event.conf
%{_mandir}/man5/abrt_event.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/smart_event.conf
%{_mandir}/man5/smart_event.conf.5.gz
%dir %attr(0751, abrt, abrt) %{_localstatedir}/%{var_base_dir}/%{name}
%dir %attr(0700, abrt, abrt) %{_localstatedir}/spool/%{name}-upload
# abrtd runs as root
%dir %attr(0755, root, root) %{_localstatedir}/run/%{name}
%ghost %attr(0666, -, -) %{_localstatedir}/run/%{name}/abrt.socket
%ghost %attr(0644, -, -) %{_localstatedir}/run/%{name}/abrtd.pid

%{_mandir}/man1/abrt-handle-upload.1.gz
%{_mandir}/man1/abrt-server.1.gz
%{_mandir}/man1/abrt-action-save-package-data.1.gz
%{_mandir}/man1/abrt-watch-log.1.gz
%{_mandir}/man1/abrt-action-analyze-python.1*
%{_mandir}/man1/abrt-action-analyze-xorg.1.gz
%{_mandir}/man1/abrt-auto-reporting.1.gz
%{_mandir}/man8/abrtd.8.gz
%{_mandir}/man5/abrt-action-save-package-data.conf.5.gz
# {_mandir}/man5/pyhook.conf.5.gz

%files libs
%defattr(-,root,root,-)
%{_libdir}/libabrt.so.*
%config(noreplace) %{_sysconfdir}/%{name}/abrt.conf
%{_datadir}/%{name}/conf.d/abrt.conf
%{_mandir}/man5/abrt.conf.5.gz
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/plugins
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/conf.d
%dir %{_datadir}/%{name}/conf.d/plugins

# filesystem package should own /usr/share/augeas/lenses directory
%{_datadir}/augeas/lenses/abrt.aug

%files devel
%defattr(-,root,root,-)
# The complex pattern below (instead of simlpy *) excludes Makefile{.am,.in}:
%doc apidoc/html/*.{html,png,css,js}
%{_includedir}/abrt/abrt-dbus.h
%{_includedir}/abrt/hooklib.h
%{_includedir}/abrt/libabrt.h
%{_includedir}/abrt/problem_api.h
%{_libdir}/libabrt.so
%{_libdir}/pkgconfig/abrt.pc

%files gui-libs
%defattr(-,root,root,-)
%{_libdir}/libabrt_gui.so.*

%files gui-devel
%defattr(-,root,root,-)
%{_includedir}/abrt/abrt-config-widget.h
%{_includedir}/abrt/system-config-abrt.h
%{_libdir}/libabrt_gui.so
%{_libdir}/pkgconfig/abrt_gui.pc

%files gui
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
# all glade, gtkbuilder and py files for gui
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*
%{_datadir}/%{name}/icons/hicolor/*/status/*
%{_datadir}/%{name}/ui/*
%{_bindir}/abrt-applet
%{_bindir}/system-config-abrt
#%%{_bindir}/test-report
%{_datadir}/applications/abrt-applet.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/abrt-applet.desktop
%{_mandir}/man1/abrt-applet.1*
%{_mandir}/man1/system-config-abrt.1*

%files addon-coredump-helper
%defattr(-,root,root,-)
%{_libexecdir}/abrt-hook-ccpp
%{_sbindir}/abrt-install-ccpp-hook

%files addon-ccpp
%defattr(-,root,root,-)
%dir %attr(0775, abrt, abrt) %{_localstatedir}/cache/abrt-di
%config(noreplace) %{_sysconfdir}/%{name}/plugins/CCpp.conf
%{_datadir}/%{name}/conf.d/plugins/CCpp.conf
%{_mandir}/man5/abrt-CCpp.conf.5.gz
%{_libexecdir}/abrt-gdb-exploitable
%if %{with systemd}
%{_unitdir}/abrt-ccpp.service
%{_unitdir}/abrt-journal-core.service
%else
%{_initrddir}/abrt-ccpp
%endif

# attr(6755) ~= SETUID|SETGID
%attr(6755, abrt, abrt) %{_libexecdir}/abrt-action-install-debuginfo-to-abrt-cache

%{_bindir}/abrt-action-analyze-c
%{_bindir}/abrt-action-trim-files
%{_bindir}/abrt-action-analyze-core
%{_bindir}/abrt-action-analyze-vulnerability
%{_bindir}/abrt-action-install-debuginfo
%{_bindir}/abrt-action-generate-backtrace
%{_bindir}/abrt-action-generate-core-backtrace
%{_bindir}/abrt-action-analyze-backtrace
%{_bindir}/abrt-action-list-dsos
%{_bindir}/abrt-action-perform-ccpp-analysis
%{_bindir}/abrt-action-analyze-ccpp-local
%{_bindir}/abrt-dump-journal-core
%config(noreplace) %{_sysconfdir}/libreport/events.d/ccpp_event.conf
%{_mandir}/man5/ccpp_event.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/gconf_event.conf
%{_mandir}/man5/gconf_event.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/vimrc_event.conf
%{_mandir}/man5/vimrc_event.conf.5.gz
%{_datadir}/libreport/events/analyze_CCpp.xml
%{_datadir}/libreport/events/analyze_LocalGDB.xml
%{_datadir}/libreport/events/collect_xsession_errors.xml
%{_datadir}/libreport/events/collect_GConf.xml
%{_datadir}/libreport/events/collect_vimrc_user.xml
%{_datadir}/libreport/events/collect_vimrc_system.xml
%{_datadir}/libreport/events/post_report.xml
%{_mandir}/man*/abrt-action-analyze-c.*
%{_mandir}/man*/abrt-action-trim-files.*
%{_mandir}/man*/abrt-action-generate-backtrace.*
%{_mandir}/man*/abrt-action-generate-core-backtrace.*
%{_mandir}/man*/abrt-action-analyze-backtrace.*
%{_mandir}/man*/abrt-action-list-dsos.*
%{_mandir}/man*/abrt-install-ccpp-hook.*
%{_mandir}/man*/abrt-action-install-debuginfo.*
%{_mandir}/man*/abrt-action-analyze-ccpp-local.*
%{_mandir}/man*/abrt-action-analyze-core.*
%{_mandir}/man*/abrt-action-analyze-vulnerability.*
%{_mandir}/man*/abrt-action-perform-ccpp-analysis.*

%files addon-upload-watch
%defattr(-,root,root,-)
%{_sbindir}/abrt-upload-watch
%if %{with systemd}
%{_unitdir}/abrt-upload-watch.service
%else
%{_initrddir}/abrt-upload-watch
%endif
%{_mandir}/man*/abrt-upload-watch.*


%files retrace-client
%{_bindir}/abrt-retrace-client
%{_mandir}/man1/abrt-retrace-client.1.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/ccpp_retrace_event.conf
%{_mandir}/man5/ccpp_retrace_event.conf.5.gz
%{_datadir}/libreport/events/analyze_RetraceServer.xml

%files addon-kerneloops
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/libreport/events.d/koops_event.conf
%{_mandir}/man5/koops_event.conf.5.gz
%config(noreplace) %{_sysconfdir}/%{name}/plugins/oops.conf
%{_datadir}/%{name}/conf.d/plugins/oops.conf
%if %{with systemd}
%{_unitdir}/abrt-oops.service
%else
%{_initrddir}/abrt-oops
%endif

%dir %{_localstatedir}/lib/abrt

%{_bindir}/abrt-dump-oops
%{_bindir}/abrt-dump-journal-oops
%{_bindir}/abrt-action-analyze-oops
%{_bindir}/abrt-action-save-kernel-data
%{_mandir}/man1/abrt-dump-oops.1*
%{_mandir}/man1/abrt-dump-journal-oops.1*
%{_mandir}/man1/abrt-action-analyze-oops.1*
%{_mandir}/man1/abrt-action-save-kernel-data.1*
%{_mandir}/man5/abrt-oops.conf.5*

%files addon-xorg
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/libreport/events.d/xorg_event.conf
%{_mandir}/man5/xorg_event.conf.5.gz
%if %{with systemd}
%{_unitdir}/abrt-xorg.service
%else
%{_initrddir}/abrt-xorg
%endif
%{_bindir}/abrt-dump-xorg
%{_mandir}/man1/abrt-dump-xorg.1*

%if %{?have_kexec_tools} == 1
%files addon-vmcore
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/libreport/events.d/vmcore_event.conf
%{_mandir}/man5/vmcore_event.conf.5.gz
%config(noreplace) %{_sysconfdir}/%{name}/plugins/vmcore.conf
%{_datadir}/%{name}/conf.d/plugins/vmcore.conf
%{_datadir}/libreport/events/analyze_VMcore.xml
%if %{with systemd}
%{_unitdir}/abrt-vmcore.service
%else
%{_initrddir}/abrt-vmcore
%endif
%{_sbindir}/abrt-harvest-vmcore
%{_bindir}/abrt-action-analyze-vmcore
%{_bindir}/abrt-action-check-oops-for-hw-error
%{_mandir}/man1/abrt-harvest-vmcore.1*
%{_mandir}/man5/abrt-vmcore.conf.5*
%{_mandir}/man1/abrt-action-analyze-vmcore.1*
%{_mandir}/man1/abrt-action-check-oops-for-hw-error.1*
%endif

%files addon-pstoreoops
%defattr(-,root,root,-)
%if %{with systemd}
%{_unitdir}/abrt-pstoreoops.service
%else
%{_initrddir}/abrt-pstoreoops
%endif
%{_sbindir}/abrt-harvest-pstoreoops
%{_bindir}/abrt-merge-pstoreoops
%{_mandir}/man1/abrt-harvest-pstoreoops.1*
%{_mandir}/man1/abrt-merge-pstoreoops.1*

%files addon-python
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/python.conf
%{_datadir}/%{name}/conf.d/plugins/python.conf
%{_mandir}/man5/abrt-python.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/python_event.conf
%{_mandir}/man5/python_event.conf.5.gz
%{python_sitearch}/abrt*.py*
%{python_sitearch}/abrt.pth

%files addon-python3
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/python3.conf
%{_datadir}/%{name}/conf.d/plugins/python3.conf
%{_mandir}/man5/abrt-python3.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/python3_event.conf
%{_mandir}/man5/python3_event.conf.5.gz
%{python3_sitearch}/abrt*
%{python3_sitearch}/__pycache__/abrt*

%files cli
%defattr(-,root,root,-)

%files tui
%defattr(-,root,root,-)
%{_bindir}/abrt-cli
%{_mandir}/man1/abrt-cli.1.gz

%files cli-ng
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/bash_completion.d/abrt.bash_completion
%{_bindir}/abrt
%{python_sitearch}/abrtcli/

%files desktop
%defattr(-,root,root,-)

%if %{with atomic}
%files atomic
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/CCpp_Atomic.conf
%{_unitdir}/abrt-coredump-helper.service
%{_datadir}/%{name}/conf.d/plugins/CCpp_Atomic.conf
%config(noreplace) %{_sysconfdir}/%{name}/abrt-action-save-package-data.conf
%{_bindir}/abrt-action-save-package-data
%{_mandir}/man1/abrt-action-save-package-data.1.gz
%{_mandir}/man5/abrt-action-save-package-data.conf.5.gz
%endif

%if %{with bodhi}
%files plugin-bodhi
%defattr(-,root,root,-)
%{_bindir}/abrt-bodhi
%{_mandir}/man1/abrt-bodhi.1.gz
%endif

%files dbus
%defattr(-,root,root,-)
%{_sbindir}/abrt-dbus
%{_sbindir}/abrt-configuration
%{_mandir}/man8/abrt-dbus.8.gz
%{_mandir}/man8/abrt-configuration.8.gz
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/dbus-abrt.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.Problems.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.abrt.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.ccpp.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.oops.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.python.xml
%if %{?have_kexec_tools} == 1
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.vmcore.xml
%endif
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.xorg.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.problems.service
%{_datadir}/dbus-1/system-services/com.redhat.problems.configuration.service
%{_datadir}/polkit-1/actions/abrt_polkit.policy
%dir %{_defaultdocdir}/%{name}-dbus%{docdirversion}/
%dir %{_defaultdocdir}/%{name}-dbus%{docdirversion}/html/
%{_defaultdocdir}/%{name}-dbus%{docdirversion}/html/*.html
%{_defaultdocdir}/%{name}-dbus%{docdirversion}/html/*.css

%files python
%{python_sitearch}/problem/
%{_mandir}/man5/abrt-python.5.gz

%files python-doc
%{python_sitelib}/problem_examples

%files python3
%{python3_sitearch}/problem/
%{_mandir}/man5/abrt-python3.5.gz

%files python3-doc
%{python3_sitelib}/problem_examples

%files console-notification
%config(noreplace) %{_sysconfdir}/profile.d/abrt-console-notification.sh

%changelog
* Thu Apr 09 2015 Jakub Filak <jfilak@redhat.com> 2.5.1-1
- Translation updates
- problem: use 'type' element instead of 'analyzer'
- cli-status: don't return 0 if there is a problem older than limit
- journal-oops: add an argument accepting journal directory
- journal: open journal files from directory
- lib: don't expect kernel's version '2.6.*' or '3.*.*'
- cli: use the DBus methods for getting problem information
- libabrt: add wrappers TestElemeExists and GetInfo for one element
- dbus: add new method to test existence of an element
- libabrt: add new function fetching full problem data over DBus
- applet: use a shared function for getting problems over DBus
- vmcore: generate 'reason' file in all cases
- applet: Fix trivial indentation bug
- applet: Don't show report button for unpackaged programs
- applet: fix freeing of the notify problem list
- applet: get the list of problems through D-Bus service
- doc: D-Bus api: make desc of DeleteProblem clearer

* Wed Mar 18 2015 Jakub Filak <jfilak@redhat.com> 2.5.0-1
- applet: cast to correct type to fix a warrning
- applet: Use new problem_create_app_from_env() helper
- doc: add documentation for GetProblemData
- dbus: add a new method GetProblemData
- abrt_event: run save package data event even if component exists
- a-a-s-container-data: add a new argument --root
- spec: add a-a-s-package-data to abrt-atomic
- a-a-s-kernel-data: add --root argument
- journal-oops: add an argument similar to '--merge'
- spec: let configure generate the spec file
- ccpp: create the dump location from standalone hook
- retrace-client: stop failing on SSL2
- spec: changes for Atomic hosts
- add stuff necessary for Project Atomic
- Python 3 fixes
- ccpp: add support for multiple pkg mngrs
- Python 3 compatibility
- Revert "dbus: Allow admins to load problems without a password"
- dbus: Allow admins to load problems without a password
- abrtd: Don't allow users to list problems "by hand"
- spec: Don't allow users to list problems "by hand"
- spec: abrt-python requires libreport-python to build

* Fri Feb 20 2015 Jakub Filak <jfilak@redhat.com> 2.4.0-1
- spec: factor out core_pattern helper from addon-ccpp
- ccpp: standalone hook
- ccpp: save package data from hook in case of crash in container
- a-a-s-package-data: save data from artifical chroots
- spec: install containers tools
- containers: add utility collecting containers info
- ccpp: add support for containers
- spec: install the daemon's D-Bus configuration file
- daemon: add configuration enabling our name on the System bus
- daemon: get rid of own main loop
- init: set Type of abrtd.service to dbus
- applet: Use libreport's helper to find applications
- applet: Remove unused build information
- build: Fix pkg-config warning related to abrt.pc
- applet: Fix a massive leak in the app detection code
- applet: Remove left-over code from the systray icon
- applet: Use the easy way to detect empty lists
- applet: Fix a number of "problems" memory leaks
- applet: Make problem_info_t refcounted
- applet: If gnome-abrt isn't there, don't offer to report
- applet: Fix multiple notifications for the same problem
- applet: Always defer auto-reporting without a network
- applet: Don't ignore foreign problems if an admin
- applet: Rename problem variable to "pi"
- applet: Remove unused "flags" parameters
- applet: Completely ignore incomplete problems
- applet: Don't ignore repeat problems in the same app
- applet: Fix warning when crash doesn't happen in app
- applet: Remove unused functions
- applet: Remove unused flags
- applet: Rewrite notifications
- applet: Don't run full reports from the applet
- applet: Simplify "report" action
- applet: Add helper to guess .desktop for a cmdline
- applet: Get more details from the crash report
- applet: Ignore other people's problems for non-admins
- applet: Remove handling of "ignored" crashes
- applet: Remove specific persistent notifications handling
- applet: Rename applet to match gnome-abrt
- applet: Initialise libnotify on startup
- applet: Use g_new0() instead of xzalloc()
- applet: Use g_strdup_printf()/g_strdup()
- applet: Move variable inside block where it's used
- daemon: process unpackaged by default
- spec: fix abrt-applet requires
- applet: Fix memory leak in fork_exec_gui()
- applet: Detect whether gnome-abrt is available
- applet: Use GUI_EXECUTABLE macro
- autogen: move configure to the default case
- applet: Use GIO to launch gnome-abrt
- applet: Fix typo in "Oterwise"
- applet: Use symbolic icon instead of abrt's in notifications
- applet: Add some debug to new_dir_exists()
- applet: Require at least libnotify 0.7
- applet: Fix typo in "cuurent"
- applet: Don't defer sending out uReports
- applet: Use G_SOURCE_REMOVE in timeout callback
- spec: Bump required glib2 version
- applet: Use g_bus_own_name() for single-instance
- applet: Remove status icon
- applet: Use GDBus to filter crash signals
- applet: Remove XSMP support
- build: Launch configure after autogen.sh
- make: make some python depencies optional
- configure: fix typos
- configure: check for python-sphinx and nose
- spec: add gsettings-desktop-schemas to the build requires
- core: use updated dump_fd_info()
- switch from 'analyzer' to 'type'
- spec: install abrt-dump-journal-core stuff
- init: add abrt-journal-core service
- introduce abrt-dump-journal-core
- applet: Remove the automatic crash reporting message dialog
- applet: Remove pre-glib 2.32 code
- applet: Remove pointless custom signal handling
- applet: Use GNetworkMonitor instead of NM directly
- applet: Use GSettings to check whether to send uReports
- Rewrite journalctl invocations: replace grep/tail pipeline with journalctl builtins.
- Don't slurp unbounded amounts of data when invoking journalctl. Fixes #887.
- console-notifications: add timeout
- cli-status: use will_python_exception
- ccpp-hook: move utility functions to hooklib
- ccpp-hook: move /proc/[pid]/ utils to libreport
- abrt-journal: add functions for reading/saving journald state
- Do not use 'bool' in OPT_BOOL() macro : it expects 'int'
- daemon: Own a D-Bus name
- zanata: add gettext mappings
- auto-reporting: add options to specify auth type
- translations: move from transifex to zanata
- spec: add missing augeas dependency
- Only analyze vulnerabilities when coredump present
- abrt-install-ccpp-hook check configuration
- UUID from core backtrace if coredump is missing
- Create core backtrace in unwind hook
- abrt-hook-ccpp: minor refactoring
- vmcore: remove original vmcore file in the last step
- vmcore: catch IOErrors and OSErrors
- python: load the configuration from correct file
- Remove garbage from ccpp_event.conf
- spec: update the required gdb version
- gdb: make gdb aware of the abrt's debuginfo dir
- Revert "gdb: disable loading of auto-loaded files"
- spec: update the URL
- koops: improve 'reason' text for page faults
- sos: use all valuable plugins
- a-a-g-machine-id: do not print any error from the event handler
- a-a-g-machine-id: omit trailing new-line for one-liners only
- a-a-g-machine-id: suppress its failures in abrt_event.conf
- a-a-g-machine-id: add systemd's machine id
- applet: ensure writable dump directory before reporting
- make ABRT quieter
- journal-oops: use the length result of sd_journal_get_data()
- console-notifications: skip non-interactive shells
- applet: don't show duphash instead of component
- ureport: attach contact email if configured
- console-notifications: use return instead of exit
- Translation updates
- a-a-s-p-d: add firefox on the package blacklist

* Fri Oct 03 2014 Jakub Filak <jfilak@redhat.com> 2.3.0-1
- applet: confirm ignoring of notifications
- spec: disable addon-vmcore on aarch64
- Allow to disable vmcore plugin
- cli: batch reporting in abrt-cli
- cli: add option remove crash dirs after reporting
- dbus: fixed abrt-dbus memory leaks
- spec: add abrt-action-generate-machine-id
- plugins: add abrt-action-generate-machine-id
- retrace-client: humanize sizes
- cli: use portable syntax in abrt-console-notification
- cli: robustize abrt-console-notification.sh
- spec: remove dependency on crash from abrt-addon-vmcore
- cli: make consistent commands in abrt-cli
- retrace: respect Bugzilla event preferences
- logging: less log messages for duplicates
- dbus: don't ignore errors in verbose logging modes
- a-a-s-p-data: reduce amount of error messages
- a-h-event: don't spam system logs
- applet: disable GDK deprecation warnings
- koops: fix a use-after-free bug uncoverd by coverity
- Revert "Support handling crashes in lxc containers"
- json: include json.h accordingly to json-c CFLAGS
- spec: hook abrt-oops.conf.5
- oops: add man page
- configure.ac: Fix json-c detection for json-c >= 0.11
- gettext: fix the initialization in python scripts
- xml: fix a typo in analyze_CCpp
- spec: don't use native unwinder on arm arch
- abrt-journal: fix includes
- spec: add a build require item for systemd-journal
- spec: add the journal oops stuff
- koops: dump oopses from systemd-journal
- use satyr with native unwider
- python: support exceptions without traceback
- update .gitignore

* Tue Jul 08 2014 Jakub Filak <jfilak@redhat.com> 2.2.2-1
- daemon: deal with missing 'executable' file
- applet: chown each notified problem before reporting it
- koops: don't analyze MCEs like standard oopses
- koops: don't drop not-reportable oopses by default
- abrt_event: fix post-create reporter-uploader examples
- local duplicates must have matching executables
- replace deprecated GTK3 functions
- gdb: disable loading of auto-loaded files
- dbus: Fix invalid dbus policy file
- dbus: Fix desktop centric polkit policy file
- configure: Support cross compiling with python3

* Tue Apr 22 2014 Jakub Filak <jfilak@redhat.com> 2.2.1-1
- bodhi: remove an extra semicolon after if stmt
- stop using deprecated json-c functions
- vmcore: start the service after kdump service
- a-a-a-core: fix localization
- do not clear LANG env variable
- localization: fix gettext
- Translation updates
- configu UI: use glade file extension instead of ui
- simplify Analyze C/C++ event configuration
- Support handling crashes in lxc containers
- spec: hook Kernel oops configuration files
- koops: add an option controlling MCE detection
- cli: list displays all problems
- Fix a spelling error in a configuration GUI tooltip.
- spec: python3 corrections
- remove TODO entry from vmcore.conf
- Fix new lines in po files

* Wed Mar 05 2014 Jakub Filak <jfilak@redhat.com> 2.2.0-1
- Translation updates
- limit ourselves to *.conf in /etc/abrt
- spec: remove stray space from %description
- applet: run Autoreporting event in NONINTERACTIVE mode
- ureport: add user to CC List of Bugzilla bug
- spec: addon-python3 doesn't require addon-python
- addon-python3 doesn't require addon-python
- python: FsProxy uses notify_new_path
- python: fix check for absolute path
- spec: abrt-addon-python3
- abrt-addon-python3
- spec: python api for py3
- python: build python api for py3
- spec: add missing requires for python api
- never search for MCE strings in dmesg
- spec: add dependency on abrt-python
- make dist: use tar-ustar due to long filenames
- upload-watch: remove busy-wait for SIGUSR1
- autogen: fix sysdeps parser
- spec: abrt-python's files to arch specific dir
- python: install modules to sitearch directory

* Thu Jan 30 2014 Jakub Filak <jfilak@redhat.com> 2.1.12-1
- don't break the event run by failures of abrt-action-notify
- harvest-vmcore: properly handle inaccessible dir error
- spec: abrt-cli requires a pkg providing workflows
- applet: do not say the report is anonymous when ureport auth is enabled
- abrtd.service: Don't order after syslog.target
- MCE: make oops and vmcore MCEs a bit more similar
- vmcore: properly configure Augeas
- applet: don't notify missing ignored_problems file
- fix a double free error in abrt-applet
- configui: show 'Close' button in the dialog
- configure: remove all -Werror from O0CFLAGS
- MCE: cover cases where kernel version isn't detected on Fedora 20.
- examples/mce2.test: an example of non-fatal MCE
- doc/MCE_readme.txt: new file - documentation about MCE handling
- oops post-create: do not fail the event if check-oops-for-hw-error exits nonzero
- Add a manpage for abrt-action-check-oops-for-hw-error
- abrt-action-check-oops-for-hw-error: i18n, add error check on open()
- move MCE handling in event to abrt-action-check-oops-for-hw-error
- Fix handling of Machine Check Exceptions.

* Wed Jan 08 2014 Jakub Filak <jfilak@redhat.com> 2.1.11-1
- Update translations
- spec: add python-augeas to the requires
- harvest_vmcore: replace regexp config parsing with augeas
- spec: install python, vmcore and xorg conf ifaces
- add configuration ifaces for python, xorg and vmcore
- spec: install D-Bus Configuration files
- introduce D-Bus Configuration Service
- mark koopses with unsupporeted HW as not-reportable
- cli: print autoreporting notification to stderr
- make rpm: add $RPM_FLAGS aux variable
- bodhi: use the right exit codes
- abrt-handle-event: don't use already freed memory
- spec: install abrt-auto-reporting files
- introduce abrt-auto-reporting utility
- abrt-action-notify: fix couple of flaws
- Use satyr to compute koops duphash
- koops: tweak koops parser for s390 Call Traces
- configui: do not use deprecated gtk3 API

* Wed Dec 11 2013 Jakub Filak <jfilak@redhat.com> 2.1.10-1
- make: filter out useless msgs in chagelog gen alg
- abrt-cli: display URL to reports in the details
- abrt-cli list: list all problems by default
- configure: libreport-web only with bodhi
- Do not copy Makefiles to documentation.
- Fix doc gen, making multilib test happy during packaging.
- harvest_vmcore: Fix absolute path handling
- Speed up journalctl --system support detection
- Add build/ to POTFILES.skip
- spec: add abrt's augeas module
- add augeas module for abrt configuration files
- spec: rename CCpp.conf
- rename CCpp.conf man to abrt-CCpp.conf
- spec: move vmcore addon's configuration to a new dir
- vmcore: reorganize configuration
- make: install abrt-harvest-vmcore into share conf.d
- spec: install abrt-harvest-vmcore.conf to share conf.d
- switch to libreport workflows in all report-cli events
- abrtd: use warning level for "Recreating deleted ..." message
- abrt-python: add missing arguments to Crash handler
- spec: adapt recent changes related to abrt-action-notify
- move the notify event from dbus_event.conf to abrt_event.conf
- run the autoreporting event from abrt-action-notify
- spec: install conf to /usr/share/abrt/conf.d
- Load conf from /usr/share/abrt/conf.d and /etc/abrt
- abrt-action-install-debuginfo: fix --exact handling. Fixes rhbz1027786
- testsuite/dumpoops: do not test oops7.test on RHEL6
- small improvement in Deployment Guide build machinery
- Use bugzilla_formatdup.conf for detected duplicates in python too. Fixes rhbz#875312.
- applet: properly handle incomplete problems
- wrap check for incomplete problem in a function
- applet: make build_message() more general
- DBus Problems API: update documentation
- spec: add abrt-action-notify
- factor out D-Bus notification to a python script
- adapt post_create event to the recent changes in reporter-ureport
- spec: add Requires: systemd-python for python addon
- shorten CCpp reason message
- abrt-dump-oops: if backtrace is not seen, file an one-line oops. Fixes rhbz#812537
- Fix false failure in nmi_oops_hash testcase
- Update translations
- Create manpage for gpg_keys.conf
- Create manpage for CCpp.conf
- Create manpage for python.conf
- Add 11 manpages for *_event.conf.5, all refer to report_event.conf manpage
- Create manpage for abrt-harvest-vmcore.conf
- applet: use problem_data_t in ignored problems
- ignored problems: add functions accepting problem_data_t

* Sat Oct 26 2013 Jakub Filak <jfilak@redhat.com> 2.1.9-1
- pyhook: add logging workaround for rhbz#1023041
- spec: add systemd-python to BuildRequires
- start abrt-handle-event in non-interactive mode
- Log to journal instead of syslog
- Create manpage for xorg.conf
- Configuration UI: instantly apply changes
- applet: reload user configuration before accessing its values
- switch logging from syslog to systemd in f20 - rhbz#1010648
- make notification messages more clear
- Use log_ family instead of VERBn log calls
- spec: unversioned doc directories in newer fedoras
- don't consider crashes posted to ABRT server as reported
- check return values of fcntl() and setsid()
- remove a dead code uncovered by coverity
- spec: fix file access rights for type and core_bactrace
- spec: move examples to abrt-python-doc package
- install problem examples to python dir
- spec: added the versioned abrt-libs requires to silence rpmdiff
- a-dump-oops: Add new WARNING pattern
- a-a-save-kernel-data: support more kernel flavours
- a-h-event: always compare results of realpath()

* Fri Oct 04 2013 Jakub Filak <jfilak@redhat.com> 2.1.8-1
- Disassemble only instruction rage memory if backtrace is too big
- Include floating-point registers in the backtrace
- spec: make addon-ccpp dependent on libreport-python
- polkit: replace deprecated functions with their subtitues
- retrace-client: query CCpp exploitable information from Retrace server; closes #703
- GUI config: add support for Private ticket option
- a-a-ureport: handle os errors gracefully rhbz#998428 rhbz#998197
- add prefix from configure to the path of debuginfo installer - closes #701
- spec: added deps on abrt-python - closes rhbz#1008182
- spec: remove abrt-dedup-client; closes #702
- remove abrt-dedup-client; related to #702
- abrt-*-client: simplify formatting of locale-related headers

* Wed Sep 11 2013 Jakub Filak <jfilak@redhat.com> 2.1.7-1
- fix debuginfo installer expecting user input from a pipe - closes #696
- add environment variable whitelist to debuginfo install wrapper - closes 692
- add repo_pattern argument as a custom repository filter - closes #688
- abrt-cli list: replace "@" prefix by "id " prefix
- fix a crash in 'abrt-cli info' when short id isn't found
- Use common string-to-sha1_hash functions. #694
- doc: update OpenGPGCheck in a-a-save-package-data rhbz#997922
- abrt-cli report: accept sha1 hashes of directory names. #693
- abrt-dump-oops: emit a message if throttling for a significant period of time
- abrt-gdb-exploitable: print current instruction
- spec: posttrans scriptlet regenerating core_backtraces
- abrt-handle-event: add check for missing crash thread
- provide tmpfiles.d configuration
- abrt-cli list: use sha1 hash as short ids instead of @N thing. rhbz#906733
- vmcore: fail gracefully if dump_dir is not accessible
- spec: vmcore: require kexec-tools
- vmcore: use re.MULTILINE instead of numerical value
- vmcore: don't fail if /etc/kdump.conf is not readable
- abrt-cli info: add "-s SIZE" option. closes #689
- fix noninteractive mode in debuginfo installer - rhbz#737066
- fixed the gpg keys loading - closes #686
- Fix type of OPT_BOOL's referenced flag variable - it must be int, not bool!
- adds a kdump.conf parser to get the correct dump dir location, closes #640
- xorg_event.conf: use abrt-action-list-dsos to create dso_list
- abrt-action-list-dsos: extend it to be able to parse Xorg backtrace.
- don't require debuginfo for vmcore analysis rhbz#768389
- specfile: make addon-pstoreoops obsolete addon-uefioops
- abrt-dump-oops: add -t option which slows down problem creation. rhbz#902398.
- rename uefioops to pstoreoops rhbz#949721
- spec: create type element for problem dirs where it doesn't exist - rhbz#958968
- introduce abrt-upload-watch
- fix ccpp hook to create the type element - closes #682
- specfile: use systemd-rpm macros. rhbz#850019
- abrt-harvest-vmcore: notify new path - #657
- abrt-dump-oops: remove redundant g_list_length() call, make messages clearer
- updated translation - rhbz#860555
- updated transifex url
- GUI config: add Close/Defaults button
- GUI config: hide option descriptions in tool tips
- GUI config: add Silent shortened reporting support
- applet: silent shortened reporting
- applet: less misleading label for Ignore button
- abrt-handle-upload: switch from shell to python; send socket notification. #657
- spec: add build requires for XSMP depencies
- applet: update seen list when X Session dies
- improved the error messages in abrt-server - closes #679
- fix typo in abrt-config-widget.ui
- spec: add new packages abrt-gui-libs and abrt-gui-devel
- delete desktop file for system-config-abrt
- expose abrt configuration GUI in public API
- rewrite abrt-harvest-uefioops to python - closes #678
- spec: abrt-python is no longer noarch - related #677
- created python binding for notify_new_path - closes #677
- spec: install applet's desktop file to system dir
- applet: configure notification source
- rewrite shell script for moving vmcores into python closes #676
- abrtd: ensure that the dump location directory exists
- a-a-ureport: generate core_backtrace only for CCpp problems
- do not store potentially big data in /tmp
- abrt-dbus: send new problem notify signal to socket
- abrtd: remove "post-create" machinery. Related to #657
- Avoid leaving stale rpmdb locks behind (rhbz#918184)
- abrtd: improve parsing of pidfile in create_pidfile()
- abrt-dump-{oops,xorg}: send new problem notify signal to socket
- abrtd: disable inotify watch on DUMP_LOC
- abrt-hook-ccpp: send "POST /creation_notification" after creating problem dir
- Stop dying in check_free_space(); rename it to low_free_space()
- abrt-server: make create_problem_dir() run "post-create"
- abrt-handle-event: create DUMP_LOC/post-create.lock when running "post-create"
- abrt-server: add support for "POST /creation_notification"
- abrt-handle-event: free more of allocated data

* Fri Jul 26 2013 Jakub Filak <jfilak@redhat.com> 2.1.6-1
- replace functions deprecated in Gtk-3.10 with their substitutes
- use shared GLib initialization function
- a-a-g-c-b: Unwind using GDB
- abrtd: fix on top of "prevent possible leak of malloced worst_dir"
- testsuite: recognize uReport2
- a-handle-event: check if satyr supports the analyzer
- abrtd: prevent possible leak of malloced worst_dir
- use absolute path in python shebang rhzb#987010
- moved parse_list to the shared library in libreport - related to rhbz#803772
- testsuite: do not require core_backtrace in koops problems
- testsuite: update path to XML event config base dir
- abrt-action-save-package-data: properly close rpm database. Closes #674.
- abrt-action-save-package-data: fix handling of ProcessUnpackaged on scripts
- blacklisted-script: new test
- abrt-action-save-package-data manpage: typo fix
- change /var/spool/abrt/ to /var/tmp/abrt rhbz#912750
- Fix RPMdiff warnings about abrtd and abrt-action-install-debuginfo-to-abrt-cache
- specfile: add dependency on abrt-libs to abrt-addon-uefioops
- stop using the hardcoded event list, use workflows instead rhbz#866027
- retrace-client: build correct release for Fedora Rawhide
- spec: drop unnecessary Obsoletes and Provides
- correct FSF address in python exception hook
- spec: add manual pages to packages
- add all missing manual pages
- fix rpmlint issues in the spec file
- move event option XML files to /usr/share/libreport/
- spec: replace btparser with satyr
- Update satyr support, drop btparser compatibility
- abrt-hook-ccpp: always fall back to creating user core.
- testsuite: fixed cli test closes #671
- abrt-gdb-exploitable: comment-out dead code
- spec: specify all conf files
- abrt-gdb-exploitable: formatting
- abrt-gdb-exploitable: improve signal analysis by looking at siginfo.si_code
- abrt-gdb-exploitable: first cut of ppc support
- abrt-gdb-exploitable: x86 factoring-out
- dbus: add GetForeignProblems method
- problem API: add function getting list of inaccessible problem IDs
- the system tray icon opens recently detected problem
- testsuite: fix abrt-python test to work on rhel6
- testsuite: enable abrt-python test for rhel6
- specfile: hook up vulnerability analyzer
- Add gdb python plugin which analyzes coredump for vulnerability
- applet: stop saving configuration at exit
- spec: add system-config-abrt stuff
- introduce system-config-abrt
- move initialization of shortened reporting option to libabrt
- abrt-cli status: fix the output
- Fix wrong path in shell include
- Make rhel6/python-addon test to test for old behaviour
- tests/runtests/python-addon: check for "Python", not "pyhook"
- abrt-dump-xorg: save "type=xorg" along with "analyzer=xorg"
- Update python hook to use fixed socket interface
- abrt-server: updates/fixes for future rasdaemon needs

* Fri Jun 14 2013 Jakub Filak <jfilak@redhat.com> 2.1.5-1
- spec: require tar closes #635
- spec: tui should require abrt closes #633
- a-d-oops: obtain kernel version from the oops
- a-a-p-ccpp-analysis: import all used attributes
- vmcore: provide all problem elements necessary for the reporting
- a-d-oops: add 'update' command line argument
- testsuite: disable GPG check for el7
- testsuite: update URL used in emails
- testsuite: use nat instead of bridge
- testsuite: use virt-addr to get IP of a VM
- spec: always make debuginfo cache setgid
- testsuite: add test order for el7
- spec: use /var/spool/abrt on Fedora < 18
- a-a-g-core-backtrace: don't crash if kernel file doesn't exist
- a-a-a-vmcore: save kernel version in 'kernel' file
- spec: fix a syntax bug in conditional macro
- tweak spec for openSUSE
- be able to configure without bodhi
- testsuite: fix race condition between D-Bus and runtes
- abrt-cli: make status help message more precise
- Move get_problem_dirs_for_element_in_time() to its only user, abrt-dbus
- abrt-cli status: don't include reported problems into count
- Move get_problems_count() to its only user - "abrt-cli status"
- fix a minor issue in 'abrt-cli list' if statement
- abrt-cli list: implement --since and --until
- Make problem_api.c easier to comprehend
- testsuite: collect files stored by beakerlibs rlBundleLogs
- testsuite: dump package versions
- abrt-python: open dirs read-only if possible
- dbus: ChownProblemDir method really changes the owner
- python: disable events in collision with anaconda
- spec: abrt-python requires pygobject2
- testsuite: fix test name
- systemd units: start services only if it make sense
- abrt-harvest-uefioops.in: test for abrtd after testing for pstore, not before
- make abrt-uefioops.service conditional on /sys/fs/pstore being populated
- testsuite: install abrt-python
- testsuite: add test for abrt-python
- dbus: fix SetElement failing when shrinking an item
- spec: fix unowned directories
- testsuite: cli-status cleanup
- Fix make rpm for satyr builds
- abrt-python: whole python API path in POTFILES.skip
- abrt-python: fix dbus compatibility on RHEL6
- abrt-python: check if gid equals current users gid
- abrt-python: fix tests compatibility with python 2.6
- abrt-python: pass DD_OPEN_READONLY only if available
- abrt-python: fix deprecation warnings
- console notification shouldn't ask confirmation - closes #652
- Short BT deduplication false positives workaround
- satyr-compat: treat bt distance as a float
- Only problems of same type can be duplicates
- make the console notifiacation code more robust - closes #649
- abrt-python: fix bug in problem.get
- abrt-python: pep8 cleanup
- unittest: add test for <NMI> koops frame prefix
- koops parse: support <NMI> frame prefix
- don't show non critical errors in console notification
- use last_occurrence with --since
- abrtd.service: start after livesys.service
- tests/runtests/uefioops: new test
- specfile: hook up abrt-uefioops service
- abrt-uefioops: new service
- updated translation

* Tue Apr 30 2013 Jakub Filak <jfilak@redhat.com> 2.1.4-1
- spec: fix rpmlint errors for console-notification
- fixed race in the console notification closes #643
- Fix wrong comments. No code changes
- testsuite: enabled cli-status test closes #642
- testsuite: added tests for abrt-cli status
- abrt-action-ureport: rewrite in python, improve messages
- build abrtd and setuided executables with full relro rhbz#812284
- spec: remove the commented macros rhbz#864851
- minor fix to console notification #641
- spec: added the versioned abrt-libs requires to silence rpmdiff rhbz#881123
- trivial fix to console notification #641
- spec: create a new subpackage for the console notification #641
- added a console notification script to profile.d closes #641
- added 'status' command to abrt-cli
- factor out the problem querying functions from abrt-dbus to libabrt
- rename problem_api.c -> problem_api_dbus.c
- testsuite: release -> os_release
- bodhi, retrace: support /etc/os-release
- refactorize: reflect recent changes in map_string_t
- abrtd: fix incomplete data not-reportable message typos
- abrt-action-generate-core-backtrace: be a bit more verbose
- abrtd: mark unprocessed dump directories as not-reportable
- tests/runtests/ureport: fix test to expect exit code 70 instead of "THANKYOU" string
- abrt-dump-oops: add "Machine Check Exception" to the list of watched strings rhbz#812537
- Replace "THANKYOU" with EXIT_STOP_EVENT_RUN exit code (70)
- Fix rhel6 version of verify-that-report-edits test
- tests/runtests/verify-that-report-edits: add forgotten file
- abrt-action-install-debuginfo: do not assume os.execvp never returns
- abrtd: update last occurrence dump dir file
- return the right exit code for user cancellation
- add more examples to Problem API doc
- fix incompatible translation lines ending
- tests/runtests/upload-{ftp,scp}: fix the test to check for DIR.tar.gz
- abrt-cli: make "report -v[vv]" export correct $ABRT_VERBOSE value
- updated translation Related: #951416
- tests/runtests/upload-filename: new test
- spec: add deps. required for reporting to abrt-cli pkg
- spec: inc required version of libreport

* Wed Mar 27 2013 Jakub Filak <jfilak@redhat.com> 2.1.3-1
- post-create: record runlevel (correct version w/o subshell)
- post-create: record runlevel
- testsuite: install libreport-plugin-rhtsupport
- spec: integration with satyr
- Integration with satyr
- dbus: check correct errno after dump_dir_is_accessible_by_uid()
- spec: require libreport workflow package acc. to OS type
- tests/runtests/rhts-test: correct hints response, add log output
- rhts-test: remove stray strace invocation
- testsuite: install abrt-devel to testing machines
- spec: remove the abrt-gui related: #629
- remove the abrt-gui closes #629
- retrace-client: do not allow space in os_release_id; closes #625
- Remove all smolt-related files and code bits
- Remove smolt-related parts of specfile
- tests/runtests/rhts-test: add a test for -tCASE_NO
- tests/runtests/rhts-test: add tests for reported_to and client output
- tests/runtests/rhts-test: fix URLs in responses, add "attached ok" response
- tests/runtests/rhts-test: new test
- testsuite: add test for recreating /var/tmp/abrt when it's deleted
- Update debug build scripts
- testsuite: add tests for Java VM dump directories
- abrtd: recreate Dump Location directory if it is delete

* Tue Mar 19 2013 Jakub Filak <jfilak@redhat.com> 2.1.2-1
- Show a confirmation notify bubble for reported problems in ShortenedReporting mode
- Fix leaks in koops-parser unit tests
- Add maintainer-check-valgrind make target
- Add more unittests for ignored problem error paths
- Get rid of 2 x dd_opendir() calls in ignored problems
- ignored_problems: small optimization
- Fix memory leaks in ignored problem helpers
- added vmcore cli and gui events rhbz#921954
- Add unit tests for ignored problem helpers
- applet: mark problems as ignored and don't notify ignored problems
- Introduce helpers for management of list of ignored problems
- abrt-ccpp: try to read hs_err.log from crash's CWD
- spec: added a-a-a-ccpp-local man page
- created manpage for a-a-a-ccpp-local
- testsuite: extend the logs with the list of prior crashes which caused test's failure
- testsuite: add ureport validation test
- added options to disable bugzilla and bodhi related to: rhbz#828673 rhbz#810309
- abrt-action-perform-ccpp-analysis: Complain if analyze_RetraceServer can't run. Closes 619
- autogen.sh: stop using bashisms
- configure.ac: Fix wrong variable name
- added option to bypass di install closes #618
- abrt-gui: change URL to point to most recent doc
- spec: added abrt-action-analyze-ccpp-local to ccpp-addon related to rhbz#759443
- - analyze-ccpp don't suid to abrt when run as root, related rhbz#759443
- Deployment Guide: expand helper scripts
- convert_images_to_embedded_data.sh: trivial fix
- Deployment Guide: add .xml files (hey were missed because of .gitignore)
- abrtd: prohibit DumpLocation == WatchCrashdumpArchiveDir. Closes rhbz#854668
- Deployment Guide: add convertor to single HTML file with embedded images
- Small update of Deployment Guide machinery
- a-a-ureport: don't fail on missing counter file
- dbus doc: make xml interface parseable by qtdbusxml2cpp
- README_deployment: extend a bit
- Added doc/README_deployment and doc/deployment/*
- update translation
- add targets to makefile to ease the new release process
- testsuite: append fatal failures to results file as well
- a-a-ureport: allow to send ureport more than once
- applet: remove confusing "Show" button
- abrtd: Remove "Corrupted or bad directory" words from the message
- testsuite: better handling of FATAL test failures
- Whitespace fix. No code changes.
- Improve log messages in cccpp hook and save-package-data. See rhbz#909617
- testsuite: fail better
- abrt-harvest-vmcore: don't copy dir from var/spool if copy already exists
- add doxygen to BuildReqs
- doc: fix doxygen complaints
- doc: added doxygen support closes #525
- abrt-python: fix makefiles
- testsuite: added dont-blame-interpret test closes#609
- don't blame interpreter, blame the running script #609
- fix path in the collect_xsession_errors event
- spec: fix systemd service removal in %preun
- testsuite: fix upload path for rawhide vm
- testsuite: add mac address list
- applet: pass problem's id to the gui app
- applet: don't parse dd's time on its own
- testsuite: provide some uuids to avoid unwated duplicates detection
- a-a-p-ccpp-analysis: use default run_event logging function
- retrace-client: print dots instead of repeated status message
- dbus: add more debugging logs
- move abrt.pth to arch specific location rhbz#912540
- testsuite: provide an uuid to avoid unwanted duplicate detection
- testsuite: rename a test user to avoid colissions with previous test
- abrt-retrace-client: improve error messages
- dbus: add basics to a new problem
- doc: install abrt-dbus documentation files to the correct places
- doc: extend the documentation of DBus API
- testsuite: add selinux-policy to DontMatchComponents list in bugzilla.conf
- testsuite: update bugzilla responses
- autogen: add function which installs dependencies (works on Fedora)
- Make forking code paths more robust.
- testsuite: clean metadata *before* reinstallation
- testsuite: clean metadata before updating
- add more logging to catch "stuck core-backtrace" problem; reduce gdb looping

* Thu Feb 07 2013 Jakub Filak <jfilak@redhat.com> 2.1.1-1
- ccpp_event: pass a list of build ids through pipe instead of file
- rpm: add SETGID bit on a-a-i-d-i-t-a-cache executable
- abrt-destkop package requires libreport-fedora package
- abrt-dump-{oops,xorg}: limit amount of created dirs, add cooldown sleep if exceeded
- Merge branch 'master' of github.com:abrt/abrt
- abrt-watch-log: handle a case when child doesn't process its input
- abrt-watch-log: fix a bug in mmap error check
- abrt-action-analyze-xorg: fix the case with DIR != "."

* Mon Feb 04 2013 Jakub Filak <jfilak@redhat.com> 2.1.0-1
- testsuite: replace hardcoded dump location by variable
- pkg-config: export defaultdumplocation variable
- rpm: preserve old configuration for F17< and REHL7<
- configure: set default dump location to /var/tmp/abrt
- abrtd: sanitize mode and ovner of all elements
- updated translation
- abrtd-inotify-flood test: expend it to check for another inotify-related bug
- applet: on requrest open gnome-abrt instead of abrt-gui
- Make it so that g_io_channel_read_chars(channel_inotify) does not buffer data.
- multilib fixes
- daemon: unify accessibility check before delete with dbus
- dbus: move dir accessibility check from abrt to libreport
- dbus: user dd_chown instead of own impl.
- testsuite: run report-cli in non-interactive mode and look for correct string
- allow default dump directory to be configured through cmd line args
- abrt-python: import dbus lazily
- abrt-python: add missing file
- abrt-python: add DEFAULT_DUMP_LOCATION to config
- abrt-python: fix list_all to return meaningful results
- abrt-python: use filesystem proxy as a fallback
- abrt-python: use /var/tmp/abrt by default
- abrt-python: skip non-accessible directories
- abrt-python: minor test updates
- abrt-python: add missing watch examples
- abrt-python: add new problem notification support
- abrt-python: add debugging message for dbus calls
- abrt-python: DeleteProblem takes list of problems
- abrt-python: add support for dump dir access
- abrt-python: force string for dbus set item
- abrt-python: add test executable
- abrt-python: fix tests not cleaning after themselves
- abrt-python: add python-nose to buildrequires
- abrt-python: add abrt-python package
- abrt-python: cover python-problem by autotools
- abrt-python: add python-problem tests to POTFILES.skip
- abrt-python: add documentation build dir to .gitignore
- abrt-python: rename to abrt-python
- abrt-python: fix each test to run standalone
- abrt-python: initial
- testsuite: added symlink test to test list
- testsuite: added test for symlink handling rhbz#895442
- reporter-bz: post a comment to dup bug, if we found a dup. version 2.
- testsuite: add rhel6 specific tests for CLI
- replace left over magic dd modes by macro
- synchronize default dump dir mode with libreport
- replace all occurrences of hardcoded dump location by a variable
- harvest-vmcore: read dump dir path from configuration
- use lchown when chowning files over dbus
- use lchown when chowning newly created problem directory
- verify-that-report-edits test: fix to account for new CLI interface
- localized-reporting test: fix breakage
- localized-reporting: tweak it to work with new cli interface
- Fix cli-sanity failures with new CLI
- koops: add all x86 TRAP prefixes to list of suspicious strings
- koops: put all suspicious strings to global variable
- applet: extend comment. No code changes
- applet: introduce shortened reporting
- abrt-applet: handle SIGTERM and perform nice termination
- abrt-applet: update the seen list on every possible action
- applet: don't notify outdated new problems
- Add and use "report-cli" event instead of removed "report-cli -r" option
- fixed the relro flags rhbz#812284
- applet: unref unused GIOChannel

* Wed Nov 14 2012 Jakub Filak <jfilak@redhat.com> 2.0.19-1
- call g_type_init() only in GLib version < 2.35
- plugins/*_event.conf: use reporter-bz -F FMTFILE as appropriate
- don't leak optional retrace path
- repeat unchaged retrace status message only in verbose mode
- check the correct return value of yesforever answer
- abrt-handle-event: forward event process requests to parrent
- testsuite: enhance koops parser unit tests
- don't leak kernel tainted string
- enhance koops tainted flag parser
- testsuite: remove crash dir in socket-api
- Use "comment" element instead of "description"
- testsuite: fixed a copy&paste bug in bt-dupe-search
- tests/runtests/bugzilla-dupe-search: fix false positive

* Thu Nov 01 2012 Jakub Filak <jfilak@redhat.com> 2.0.18-1
- tests/runtests/bugzilla-dupe-search: fix false positive
- tests/runtests/bugzilla-bt-reattach: further fixes for changed bz reporter
- tests/runtests/bugzilla-bt-reattach: further fixes for changed bz reporter
- tests/runtests/bugzilla-bt-reattach: change to account for differen behavior in new reporter-bz
- bugzilla-dupe-search: fix os_release to contain the same OS version as bug 755535
- Do not stop reporting when GConf entry is not found. Closes rhbz#869833
- Fix false positive caused by English language fix
- import inspect lazily

* Wed Oct 24 2012 Jakub Filak <jfilak@redhat.com> 2.0.17-1
- provide a problem item containing versions of binaries listed in Xorg backtrace
- import rpm lazily

* Wed Oct 17 2012 Jakub Filak <jfilak@redhat.com> 2.0.16-1
- xorg_event: make post-create save dmesg, drop problems w/ binary modules
- collect_xsession_errors should not fail if !xsession-errors. Closes rhbz#866698
- testsuite: updated the url for F18 nightlies

* Thu Oct 11 2012 Jakub Filak <jfilak@redhat.com> 2.0.15-1
- add collect_* event to reporting chains for CCpp/Python/Kernel
- testsuite: fixed url for the F18 nightly
- core-backtrace: make sure kernel version does not contain spaces
- core-backtrace: also include '?' flag for kerneloops
- don't check EXECUTABLE if it isn't present in list
- testsuite: rename oops_processing to oops-processing
- testsuite: remove examples.tar from oops_processing test
- testsuite: remove examples.tar from dumpoos dir
- fix up oops1.{test,right} to not hash '' string (we don't allow that anymore)
- retrace-client: check whether all included files are regular
- abrt_exception_handler.py: save 'environ' element
- add Makefile target release-fix
- Make it possible for developer to disable crash processing for specific apps. Closes rhbz#848786
- s/Dump directory/Problem directory/

* Wed Mar 16 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.0-1
- update to the latest upstream version
- many improvements
- FIXME: add closed bugzillas

* Fri Feb 18 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.17-2
- removed gnome-python2-vfs dependency

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.17-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 05 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.17-1
- rewritten abrt-debuginfo-install script to use the yum API
- GUI: added search box to backtrace view rhbz#612017 (jmoskovc@redhat.com)
- fixed some gui warnings rhbz#671488 (jmoskovc@redhat.com)
- btparser/dupechecker improvements:
  - Better handling of glibc architecture-specific functions (kklic@redhat.com)
  - support format of thread header: "Thread 8 (LWP 6357):" (kklic@redhat.com)

* Fri Feb 04 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.16-1
- rhtsupport: added list of attachments to comment rhbz#668875
- rhtsupport: stop consuming non-standard header rhbz#670492
- Resolves: #670492, #668875

* Wed Jan 19 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.15-2
- add a gui/uid to useradd/groupadd command (reserved in setup rhbz#670231)
- Resolves: #650975

* Wed Jan 19 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.15-1
- removed unused files (jmoskovc@redhat.com)
- update po files (jmoskovc@redhat.com)
- removed some unused files (jmoskovc@redhat.com)
- pass old pattern to ccpp hook and use it (dvlasenk@redhat.com)
- GUI: added warning when gnome-keyring can't be accessed rhbz#576866 (jmoskovc@redhat.com)
- 666893 - Unable to make sense of XML-RPC response from server (npajkovs@redhat.com)
- PyHook: ignore SystemExit exception rhbz#636913 (jmoskovc@redhat.com)
- 665405 - ABRT's usage of sos does not grab /var/log/messages (npajkovs@redhat.com)
- add a note in report if kernel is tainted (npajkovs@redhat.com)
- KerneloopsScanner.cpp: make a room for NULL byte (npajkovs@redhat.com)
- fix multicharacter warring (npajkovs@redhat.com)
- open help page instead of about rhbz#666267

* Wed Jan 19 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.14-3
- fixed build with rpm 4.9 (thx panu pmatilai for the patch)

* Wed Jan 19 2011 Matthias Clasen <mclasen@redhat.com> 1.1.14-2
- Rebuild against new rpm

* Wed Nov 17 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.14-1
- made howto mandatory
- fixed segv in abrt-hook-ccpp rhbz#652338
- added warning if kernel was tainted
- make the "install debuginfo" hint selectable rhbz#644343
- wrap howto and comments rhbz#625237
- wrap lines in the backtrace window rhbz#625232
- changed '*' to '•' rhbz#625236
- make the bt viewer not-editable rhbz#621871
- removed unneeded patches

* Wed Nov 10 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.13-3
- Rebuild for libnotify-0.7

* Wed Aug 25 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.1.13-2
- Rebuild for python-2.7

* Tue Aug 10 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.13-1
- updated translation
- added native systemd file rhbz#617316 (jmoskovc@redhat.com)
- added ar to LINGUAS (jmoskovc@redhat.com)
- made /etc/abrt/plugins/Bugzilla.conf world-readable again (jmoskovc@redhat.com)
- l10n: adding fa locale (lashar@fedoraproject.org)
- l10n: new Persian (lashar@fedoraproject.org)
- remove libzip code (npajkovs@redhat.com)
- add libxml-2.0 into configure (npajkovs@redhat.com)
- fixed typo in man page rhbz#610748 (jmoskovc@redhat.com)
- RHTSupport: GUI's SSLVerify checkbox had one missing bit of code (vda.linux@googlemail.com)
- abrt_curl: discard headers from HTTP redirection (vda.linux@googlemail.com)
- moved abrt.socket and abrtd.lock into /var/run/abrt making selinux happy (jmoskovc@redhat.com)
- Mention --info and --backtrace in the abrt-cli man page. (kklic@redhat.com)
- build fixes for gcc 4.5 (jmoskovc@redhat.com)
- abrt-hook-ccpp: small fixes prompted by testing on RHEL5 (vda.linux@googlemail.com)
- Added --info action to abrt-cli (mtoman@redhat.com)
- wire up SSLVerify in RHTSupport.conf to actually have the desired effect (vda.linux@googlemail.com)
- fixed tooltip localization rhbz#574693 (jmoskovc@redhat.com)
- dumpoops/KerneloopsScanner: add pid to crashdump name (vda.linux@googlemail.com)
- A message change suggested by dhensley (kklic@redhat.com)

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.10-4
- rebuild

* Tue Jul 27 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.10-3
- blacklist /usr/bin/nspluginviewer

* Mon Jul 26 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.10-2
- minor build fixes

* Mon Jul 26 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.10-1
- blacklisted mono-core package
- die with an error message if the database plugin is not accessible when needed (kklic@redhat.com)
- change RHTSupport URL protocol from HTTP to HTTPS (dvlasenk@redhat.com)
- the Logger plugin returns a message as the result of Report() call instead of a file URL (kklic@redhat.com)
- Cut off prelink suffixes from executable name if any (mtoman@redhat.com)
- CCpp: abrt-debuginfo-install output lines can be long, accomodate them (dvlasenk@redhat.com)
- do not pop up message on crash if the same crash is the same (dvlasenk@redhat.com)
- fedora bugs do not depend on rhel bugs (npajkovs@redhat.com)
- GUI: fixed problem with no gkeyring and just one reporter enabled rhbz#612457 (jmoskovc@redhat.com)
- added a document about interpreted language integration (kklic@redhat.com)
- moved devel header files to inc/ and included them in -devel package (jmoskovc@redhat.com, npajkovs@redhat.com)
- renamed abrt-utils.pc to abrt.pc (jmoskovc@redhat.com)
- string updates based on a UI text review (kklic@redhat.com)
- rhtsupport obsoletes the old rh plugins (jmoskovc@redhat.com)
- list allowed items in RHTSupport.conf (kklic@redhat.com)
- GUI: fixed package name in warning message when the packge is kernel rhbz#612191 (jmoskovc@redhat.com)
- remove rating for python crashes (jmoskovc@redhat.com)
- CCpp: give zero rating to an empty backtrace (jmoskovc@redhat.com)
- GUI: allow sending crashes without rating (jmoskovc@redhat.com)
- RHTSupport: set default URL to api.access.redhat.com/rs (dvlasenk@redhat.com)
- abort initialization on abrt.conf parsing errors (dvlasenk@redhat.com)
- changing NoSSLVerify to SSLVerify in bugzilla plugin (mtoman@redhat.com)
- added rating to python crashes
- show hostname in cli (kklic@redhat.com)
- updated po files (jmoskovc@redhat.com)
- added support for package specific actions rhbz#606917 (jmoskovc@redhat.com)
- renamed TicketUploader to ReportUploader (jmoskovc@redhat.com)
- bad hostnames on remote crashes (npajkovs@redhat.com)
- unlimited MaxCrashReportsSize (npajkovs@redhat.com)
- abrt_rh_support: improve error messages rhbz#608698 (vda.linux@googlemail.com)
- Added BacktraceRemotes option. (kklic@redhat.com)
- Allow remote crashes to not to belong to a package. Skip GPG check on remote crashes. (kklic@redhat.com)
- remove obsolete Catcut and rhfastcheck reporters (vda.linux@googlemail.com)
- make rhel bug point to correct place rhbz#578397 (npajkovs@redhat.com)
- Show comment and how to reproduce fields when reporing crashes in abrt-cli (kklic@redhat.com)
- Bash completion update (kklic@redhat.com)
- Rename --get-list to --list (kklic@redhat.com)
- Update man page (kklic@redhat.com)
- Options overhaul (kklic@redhat.com)
- abrt should not point to Fedora bugs but create new RHEL bug instead (npajkovs@redhat.com)
- Don't show global uuid in report (npajkovs@redhat.com)
- GUI: don't try to use action plugins as reporters (jmoskovc@redhat.com)
- Added WatchCrashdumpArchiveDir directive to abrt.conf and related code (vda.linux@googlemail.com)
- GUI: don't show the placehondler icon rhbz#605693 (jmoskovc@redhat.com)
- Make "Loaded foo.conf" message less confusing (vda.linux@googlemail.com)
- Fixed a flaw in strbuf_prepend_str (kklic@redhat.com)
- TicketUploader: do not add '\n' to text files in crashdump (vda.linux@googlemail.com)
- GUI: skip the plugin selection, if it's not needed (jmoskovc@redhat.com)
- Check conf file for syntax errors (kklic@redhat.com)
- move misplaced sanity checks in cron parser (vda.linux@googlemail.com)
- GUI: don't require the rating for all reporters (jmoskovc@redhat.com)
- GUI: fixed exception when there is no configure dialog for plugin rhbz#603745 (jmoskovc@redhat.com)
- Add a GUI config dialog for RHTSupport plugin (vda.linux@googlemail.com)
- abrt_curl: fix a problem with incorrect content-length on 32-bit arches (vda.linux@googlemail.com)
- sosreport: save the dump directly to crashdump directory (vda.linux@googlemail.com)
- plugin rename: rhticket -> RHTSupport (vda.linux@googlemail.com)
- Daemon socket for reporting crashes (karel@localhost.localdomain)
- GUI: fixed few typos (jmoskovc@redhat.com)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.5-1.1
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jun 09 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.5-1
- GUI: polished the reporter assistant (jmoskovc@redhat.com)
- Logger reporter: do not store useless info (vda.linux@googlemail.com)
- ccpp hook: add SaveBinaryImage option which saves of the crashed binary (vda.linux@googlemail.com)
- SPEC: added CFLAGS="-fno-strict-aliasing" to fix the rpmdiff warnings rhbz#599364 (jmoskovc@redhat.com)
- GUI: don't remove user comments when re-reporting the bug rhbz#601779 (jmoskovc@redhat.com)
- remove "(deleted)" from executable path rhbz#593037 (jmoskovc@redhat.com)
- CCpp analyzer: add 60 sec cap on gdb run time. (vda.linux@googlemail.com)
- add new file *hostname* into debugdump directory (npajkovs@redhat.com)
- rhticket: upload real tarball, not a bogus file (vda.linux@googlemail.com)
- abrt-hook-ccpp: eliminate race between process exit and compat coredump creation rhbz#584554 (vda.linux@googlemail.com)
- rhticket: actually do create ticket, using Gavin's lib code (vda.linux@googlemail.com)
- properly obsolete gnome-python2-bugbuddy rhbz#579748 (jmoskovc@redhat.com)
- GUI: remember comment and howto on backtrace refresh rhbz#545690 (jmoskovc@redhat.com)
- use header case in button label rhbz#565812 (jmoskovc@redhat.com)
- make log window resizable (vda.linux@googlemail.com)
- rename a few remaining /var/cache/abrt -> /var/spool/abrt (vda.linux@googlemail.com)

* Wed May 26 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.4-1
- added reporting wizard
- fixed few leaked fds
- fixed kerneloops --- cut here --- problem
- updated translations

* Fri May 21 2010 Denys Vlasenko <dvlasenk@redhat.com> 1.1.3-1
- More fixes for /var/cache/abrt -> /var/spool/abrt conversion

* Fri May 21 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.2-3
- fixed spec file to create /var/spool/abrt rhbz#593670
- updated init script to reflect the pid file renaming

* Wed May 19 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.2-1
- updated translation
- obsolete gnome-python2-bugbuddy rhbz#579748 (jmoskovc@redhat.com)
- Report "INFO: possible recursive locking detected rhbz#582378 (vda.linux@googlemail.com)
- kill yumdownloader if abrt-debuginfo-install is terminated mid-flight (vda.linux@googlemail.com)
- do not create Python dumps if argv[0] is not absolute (vda.linux@googlemail.com)
- improve kerneloops hash (vda.linux@googlemail.com)
- Move /var/cache/abrt to /var/spool/abrt. rhbz#568101. (vda.linux@googlemail.com)
- bugzilla: better summary and decription messages (npajkovs@redhat.com)
- renamed daemon pid and lock file rhbz#588315 (jmoskovc@redhat.com)
- Daemon socket for reporting crashes (kklic@redhat.com)
- Move hooklib from src/Hooks to lib/Utils (kklic@redhat.com)

* Thu May 13 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.1-1
- updated translations
- removed avant-window-navigator from blacklist (jmoskovc@redhat.com)
- Abort debuginfo download if low on disk space (partially addresses #564451) (vda.linux@googlemail.com)
- fix bug 588945 - sparse core files performance hit (vda.linux@googlemail.com)
- Add BlackListedPaths option to abrt.conf. Fixes #582421 (vda.linux@googlemail.com)
- Do not die when /var/cache/abrt/*/uid does not contain a number (rhbz#580899) (kklic@redhat.com)
- rid of rewriting config in /etc/abrt/abrt.conf (npajkovs@redhat.com)
- fix bug 571411: backtrace attachment of the form /var/cache/abrt/foo-12345-67890/backtrace (vda.linux@googlemail.com)
- Do not echo password to terminal in abrt-cli (kklic@redhat.com)
- improved daemon error messages (kklic@redhat.com)

* Mon May 03 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.0-1
- updated transaltions
- added Hebrew into languages
- updated icons rhbz#587698 (jmoskovc@redhat.com)
- Bugzilla login/password emptiness check uses 'or' instead of 'and' (kklic@redhat.com)
- Show error message when abrtd service is run as non-root. rhbz#584352 (kklic@redhat.com)
- Rename EnableOpenGPG to OpenGPGCheck in the man page rhbz#584332 (kklic@redhat.com)
- Document ProcessUnpackaged in abrt.conf.5. Document default values. (kklic@redhat.com)
- Crash function is now detected even for threads without an abort frame (kklic@redhat.com)
- comment can be private (npajkovs@redhat.com)
- do not catch perl/python crashes when the script is not of known package origin (kklic@redhat.com)
- kerneloop is more informative when failed (npajkovs@redhat.com)
- add function name into summary(if it's found) (npajkovs@redhat.com)
- Change kerneloops message when it fails (npajkovs@redhat.com)

* Fri Apr 30 2010 Karel Klic <kklic@redhat.com> 1.0.9-3
- fixed crash function detection (a part of duplication detection)

* Wed Apr 14 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.0.9-2
- fixed problem with localized yum messages rhbz#581804
- better bugzilla summary (napjkovs@redhat.com)
- ignore interpreter (py,perl) crashes caused by unpackaged scripts (kklic@redhat.com)

* Tue Apr 06 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.0.9-1
- hooklib: fix excessive rounding down in free space calculation (bz#575644) (vda.linux@googlemail.com)
- gui: fix 551989 "crash detected in abrt-gui-1.0.0-1.fc12" and such (vda.linux@googlemail.com)
- trivial: fix 566806 "abrt-gui sometimes can't be closed" (vda.linux@googlemail.com)
- gui: fix the last case where gnome-keyring's find_items_sync() may throw DeniedError (vda.linux@googlemail.com)
- fixed some compilation problems on F13 (jmoskovc@redhat.com)
- updated translations (jmoskovc@redhat.com)
- minor fix to sosreport to make it work with latest sos rhbz#576861 (jmoskovc@redhat.com)

* Wed Mar 31 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.0.9-0.201003312045.1
- test day build
- updated translation
- minor fix to sosreport to make it work with latest sos rhbz#576861 (jmoskovc@redhat.com)
- GUI: total rewrite based on design from Mairin Duffy (jmoskovc@redhat.com)
- trivial: better HTTP/curl error reporting (vda.linux@googlemail.com)
- Use backtrace parser from abrtutils, new backtrace rating algorithm, store crash function if it's known (kklic@redhat.com)
- abrt-rate-backtrace is replaced by abrt-backtrace --rate (kklic@redhat.com)
- Ignore some temp files (kklic@redhat.com)
- PYHOOK: don't use sitecustomize.py rhbz#539497 (jmoskovc@redhat.com)
- rhfastcheck: a new reporter plugin based on Gavin's work (vda.linux@googlemail.com)
- rhticket: new reporter plugin (vda.linux@googlemail.com)
- GUI: fixed few window icons (jmoskovc@redhat.com)
- Allow user to select which reporter he wants to use to report a crash using CLI.(kklic@redhat.com)
- bz reporter: s/uuid/duphash; more understandable message; simplify result str generation; fix indentation (vda.linux@googlemail.com)
- GUI: fixed crash count column sorting rhbz#573139 (jmoskovc@redhat.com)
- Kerneloops: use 1st line of oops as REASON. Closes rhbz#574196. (vda.linux@googlemail.com)
- Kerneloops: fix a case when we file an oops w/o backtrace (vda.linux@googlemail.com)
- minor fix in abrt-debuginfo-install to make it work with yum >= 3.2.26 (jmoskovc@redhat.com)
- GUI: added action to applet to directly report last crash (jmoskovc@redhat.com)
- Never flag backtrace as binary file (fixes problem observed in bz#571411) (vda.linux@googlemail.com)
- improve syslog file detection. closes bz#565983 (vda.linux@googlemail.com)
- add arch, package and release in comment (npajkovs@redhat.com)
- add ProcessUnpackaged option to abrt.conf (vda.linux@googlemail.com)
- abrt-debuginfo-install: use -debuginfo repos which match enabled "usual" repos (vda.linux@googlemail.com)
- fix format security error (fcrozat@mandriva.com)
- icons repackaging (jmoskovc@redhat.com)
- partial fix for bz#565983 (vda.linux@googlemail.com)
- SPEC: Updated source URL (jmoskovc@redhat.com)
- removed unneeded patches
- and much more ...

* Sat Mar 13 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.8-3
- fixed kerneloops reporting rhbz#570081
- fixed Source url
- fixed debuginfo-install to work on F13
  - improved debuginfo-install (vda.linux@googlemail.com)
  - fix debuginfo-install to work with yum >= 3.2.26 (jmoskovc@redhat.com)

* Wed Mar  3 2010  Denys Vlasenko <dvlasenk@redhat.com> 1.0.8-2
- fix initscript even more (npajkovs@redhat.com)
- remove -R2 from yum command line

* Mon Feb 22 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.8-1
- fix initscript (npajkovs@redhat.com)
- Kerneloops: make hashing more likely to produce same hash on different oopses (vda.linux@googlemail.com)

* Mon Feb 22 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.8-0.git-20100222
- Kerneloops: make hashing more likely to produce same hash on different oopses (vda.linux@googlemail.com)
- make abrt work with the latest kernels (>= 2.6.33) (jmoskovc@redhat.com)
- lib/Utils/abrt_dbus: utf8-sanitize all strings in dbus messages (fixes #565876) (vda.linux@googlemail.com)

* Fri Feb 12 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.7-1
- enabled column sorting rhbz#541853
- Load plugin settings also from ~/.abrt/*.conf (kklic@redhat.com)
- fix bz#541088 "abrt should not catch python excp EPIPE" (vda.linux@googlemail.com)
- fix bz#554242 "Cannot tab between input areas in report dialog" (vda.linux@googlemail.com)
- fix bz#563484 "abrt uses unnecessary disk space when getting debug info" (vda.linux@googlemail.com)
- Don't show empty 'Not loaded plugins' section - fix#2 rhbz#560971 (jmoskovc@redhat.com)
- fix big-endian build problem (vda.linux@googlemail.com)
- Fixes, displays package owners (kklic@redhat.com)
- GUI: fixed exception in plugin settings dialog rhbz#560851 (jmoskovc@redhat.com)
- GUI: respect system settings for toolbars rhbz#552161 (jmoskovc@redhat.com)
- python hook: move UUID generation to abrtd; generate REASON, add it to bz title (vda.linux@googlemail.com)
- make "reason" field less verbose; bz reporter: include it in "summary" (vda.linux@googlemail.com)
- added avant-window-navigator to blacklist per maintainer request (jmoskovc@redhat.com)
- CCpp analyzer: fix rhbz#552435 (bt rating misinterpreting # chars) (vda.linux@googlemail.com)
- Ask for login and password if missing from reporter plugin. (kklic@redhat.com)
- abrtd: fix handling of dupes (weren't deleting dup's directory); better logging (vda.linux@googlemail.com)
- abrtd: handle "perl -w /usr/bin/script" too (vda.linux@googlemail.com)
- Component-wise duplicates (kklic@redhat.com)
- abrtd: fix rhbz#560642 - don't die on bad plugin names (vda.linux@googlemail.com)
- Fixed parsing backtrace from rhbz#549293 (kklic@redhat.com)
- GUI: fixed scrolling in reporter dialog rhbz#559687 (jmoskovc@redhat.com)
- fixed button order in plugins windows rhbz#560961 (jmoskovc@redhat.com)
- GUI: fixed windows icons and titles rhbz#537240, rhbz#560964 (jmoskovc@redhat.com)
- Fix to successfully parse a backtrace from rhbz#550642 (kklic@redhat.com)
- cli: fix the problem of not showing oops text in editor (vda.linux@googlemail.com)
- GUI: fix rhbz#560971 "Don't show empty 'Not loaded plugins' section" (vda.linux@googlemail.com)

* Tue Feb  2 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.6-1
- print __glib_assert_msg (rhbz#549735);
- SPEC: added some requires to abrt-cli to make it work out-of-the-box (jmoskovc@redhat.com)
- abrt-hook-ccpp: fix rhbz#560612 "limit '18446744073709551615' is bogus" rhbz#560612(vda.linux@googlemail.com)
- APPLET: don't show the icon when abrtd is not running rhbz#557866 (jmoskovc@redhat.com)
- GUI: made report message labels wrap (jmoskovc@redhat.com)
- GUI: don't die if daemon doesn't send the gpg keys (jmoskovc@redhat.com)
- disabled the autoreporting of kerneloopses (jmoskovc@redhat.com)
- Kerneloops: fix BZ reporting of oopses (vda.linux@googlemail.com)
- GUI: wider report message dialog (jmoskovc@redhat.com)
- moved the gpg key list from abrt.conf to gpg_keys file (jmoskovc@redhat.com)
- Logger: create log file with mode 0600 (vda.linux@googlemail.com)
- GUI: fixed the rating logic, to prevent sending BT with rating < 3 (jmoskovc@redhat.com)
- Report GUI: made more fields copyable - closed rhbz#526209; tweaked wording (vda.linux@googlemail.com)
- GUI: fixed bug caused by failed gk-authorization (jmoskovc@redhat.com)

* Fri Jan 29 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.5-1
- moved the gpg key list from abrt.conf to gpg_keys file (jmoskovc@redhat.com)
- Logger: create log file with mode 0600 rhbz#559545 (vda.linux@googlemail.com)
- GUI: fixed the rating logic, to prevent sending BT with rating < 3 (jmoskovc@redhat.com)
- Report GUI: made more fields copyable - closed rhbz#526209; tweaked wording (vda.linux@googlemail.com)
- GUI: fixed bug caused by failed gk-authorization (jmoskovc@redhat.com)
- fix bug 559881 (kerneloops not shown in "new" GUI) (vda.linux@googlemail.com)
- GUI ReporterDialog: hide log button (vda.linux@googlemail.com)
- added valgrind and strace to blacklist (jmoskovc@redhat.com)
- SOSreport: do not leave stray files in /tmp (vda.linux@googlemail.com)
- Save the core where it belongs if ulimit -c is > 0 (jmoskovc@redhat.com)
- reenabled gpg check (jmoskovc@redhat.com)
- SOSreport: run it niced (vda.linux@googlemail.com)
- report GUI: rename buttons: Log -> Show log, Send -> Send report (vda.linux@googlemail.com)
- applet: reduce blinking timeout to 3 sec (vda.linux@googlemail.com)
- fix dbus autostart (vda.linux@googlemail.com)
- abrtd: set "Reported" status only if at least one reporter succeeded (vda.linux@googlemail.com)
- SQLite3: disable newline escaping, SQLite does not handle it (vda.linux@googlemail.com)
- SOSreport: make it avoid double runs; add forced regeneration; upd PLUGINS-HOWTO (vda.linux@googlemail.com)
- attribute SEGVs in perl to script's package, like we already do for python (vda.linux@googlemail.com)

* Wed Jan 20 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.4-1
- enabled sosreport
- fixes in ticketuploader
- GUI: redesign of reporter dialog (jmoskovc@redhat.com)
- Set the prgname to "Automatic Bug Reporting Tool" fixes rhbz#550357 (jmoskovc@redhat.com)
- CCpp analyzer: display __abort_msg in backtrace. closes rhbz#549735 (vda.linux@googlemail.com)
- s/os.exit/sys.exit - closes rhbz#556313 (vda.linux@googlemail.com)
- use repr() to print variable values in python hook rhbz#545070 (jmoskovc@redhat.com)
- gui: add logging infrastructure (vda.linux@googlemail.com)
- Added "Enabled = yes" to all plugin's config files (jmoskovc@redhat.com)
- *: disable plugin loading/unloading through GUI. Document keyring a bit (vda.linux@googlemail.com)
- fix memory leaks in catcut plugin (npajkovs@redhat.com)
- fix memory leaks in bugzilla (npajkovs@redhat.com)
- abrt-hook-python: sanitize input more; log to syslog (vda.linux@googlemail.com)
- Fixed /var/cache/abrt/ permissions (kklic@redhat.com)
- Kerneloops: we require commandline for every crash, save dummy one for oopses (vda.linux@googlemail.com)
- *: remove nss dependencies (vda.linux@googlemail.com)
- CCpp: use our own sha1 implementation (less pain with nss libs) (vda.linux@googlemail.com)
- DebugDump: more consistent logic in setting mode and uid:gid on dump dir (vda.linux@googlemail.com)
- fixes based on security review (vda.linux@googlemail.com)
- SOSreport/TicketUploader: use more restrictive file modes (vda.linux@googlemail.com)
- abrt-hook-python: add input sanitization and directory size guard (vda.linux@googlemail.com)
- RunApp: safer chdir. Overhauled "sparn a child and get its output" in general (vda.linux@googlemail.com)
- DebugDump: use more restrictive modes (vda.linux@googlemail.com)
- SQLite3: check for SQL injection (vda.linux@googlemail.com)
- replace plugin enabling via EnabledPlugins by par-plugin Enabled = yes/no (vda.linux@googlemail.com)
- abrt.spec: move "requires: gdb" to abrt-desktop (vda.linux@googlemail.com)
- ccpp: add a possibility to disable backtrace generation (vda.linux@googlemail.com)
- abrtd: limit the number of frames in backtrace to 3000 (vda.linux@googlemail.com)

* Tue Jan  5 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.3-1
- speed optimalization of abrt-debuginfo-install (jmoskovc@redhat.com)
- updated credits (jmoskovc@redhat.com)
- GUI: fixed crash when abrt-gui is run without X server rhbz#552039 (jmoskovc@redhat.com)
- abrt-backtrace manpage installed (kklic@redhat.com)
- cmdline and daemon checking is done by abrt-python-hook (kklic@redhat.com)
- moved get_cmdline() and daemon_is_ok() to abrtlib (kklic@redhat.com)
- large file support for whole abrt (kklic@redhat.com)
- made s_signal_caught volatile (vda.linux@googlemail.com)
- abrt-debuginfo-install: fixes for runs w/o cachedir (vda.linux@googlemail.com)
- remove unsafe log() from signal handler (vda.linux@googlemail.com)
- src/Hooks/CCpp.cpp: use and honour 'c' (core limit size). (vda.linux@googlemail.com)
- lib/Plugins/CCpp.cpp: save gdb error messages too (vda.linux@googlemail.com)
- prevent destructors from throwing exceptions; check curl_easy_init errors (vda.linux@googlemail.com)
- don't blame python for every crash in /usr/bin/python rhbz#533521 trac#109 (jmoskovc@redhat.com)
- GUI: autoscroll log window (jmoskovc@redhat.com)
- Kerneloops.conf: better comments (vda.linux@googlemail.com)
- applet: reduce blinking time to 30 seconds (vda.linux@googlemail.com)
- add paranoia checks on setuid/setgid (vda.linux@googlemail.com)
- more "obviously correct" code for secure opening of /dev/null (vda.linux@googlemail.com)
- get rid of ugly sleep call inside while() (vda.linux@googlemail.com)

* Mon Dec 14 2009  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.2-1
- disabled GPG check again (jmoskovc@redhat.com)
- abrt-pyhook-helper rename (vda.linux@googlemail.com)
- abrt-cli: report success/failure of reporting. closes bug 71 (vda.linux@googlemail.com)
- less logging (vda.linux@googlemail.com)
- mkde abrt-gui --help and --version behave as expected. closes bug 85 (vda.linux@googlemail.com)
- dbus lib: fix parsing of 0-element arrays. Fixes bug 95 (vda.linux@googlemail.com)
- make "abrt-cli --delete randomuuid" report that deletion failed. closes bug 59 (vda.linux@googlemail.com)
- applet: make animation stop after 1 minute. (closes bug 108) (vda.linux@googlemail.com)
- show comment and how to reproduce fields, when BT rating > 3 (jmoskovc@redhat.com)
- Gui: make report status window's text wrap. Fixes bug 82 (vda.linux@googlemail.com)
- CCpp analyzer: added "info sharedlib" (https://fedorahosted.org/abrt/ticket/90) (vda.linux@googlemail.com)
- added link to bugzilla new account page to Bugzilla config dialog (jmoskovc@redhat.com)
- GUI: added log window (jmoskovc@redhat.com)

* Tue Dec  8 2009  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.1-1
- PyHook: better logic for checking if abrtd is running rhbz#539987 (jmoskovc@redhat.com)
- re-enabled gpg sign checking (jmoskovc@redhat.com)
- PyHook: use repr() for displaying variables rhbz#545070 (jmoskovc@redhat.com)
- kerneloops: fix the linux kernel version identification (aarapov@redhat.com)
- gui review (rrakus@redhat.com)
- when we trim the dir, we must delete it from DB too rhbz#541854 (vda.linux@googlemail.com)
- improved dupe checking (kklic@redhat.com)
- GUI: handle cases when gui fails to start daemon on demand rhbz#543725 (jmoskovc@redhat.com)
- Add abrt group only if it is missing; fixes rhbz#543250 (kklic@redhat.com)
- GUI: more string fixes rhbz#543266 (jmoskovc@redhat.com)
- abrt.spec: straighten out relations between abrt-desktop and abrt-gui (vda.linux@googlemail.com)
- refuse to start if some required plugins are missing rhbz#518422 (vda.linux@googlemail.com)
- GUI: survive gnome-keyring access denial rhbz#543200 (jmoskovc@redhat.com)
- typo fixes rhbz#543266 (jmoskovc@redhat.com)
- abrt-debuginfo-install: better fix for incorrect passing double quotes (vda.linux@googlemail.com)
- APPLET: stop animation when it's not needed rhbz#542157 (jmoskovc@redhat.com)
- ccpp hook: reanme it, and add "crash storm protection" (see rhbz#542003) (vda.linux@googlemail.com)
- Hooks/CCpp.cpp: add MakeCompatCore = yes/no directive. Fixes rhbz#541707 (vda.linux@googlemail.com)
- SPEC: removed sqlite3 package, fixed some update problems (jmoskovc@redhat.com)
- Kerneloops are reported automaticky now when AutoReportUIDs = root is in Kerneloops.conf (npajkovs@redhat.com)
- remove word 'detected' from description rhbz#541459 (vda.linux@googlemail.com)
- src/Hooks/CCpp.cpp: do save abrtd's own coredumps, but carefully... (vda.linux@googlemail.com)
- CCpp.cpp: quote parameters if needed rhbz#540164 (vda.linux@googlemail.com)

* Fri Nov 20 2009  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.0-1
- new version
- comment input wraps words rhbz#531276
- fixed hiding password dialog rhbz#529583
- easier kerneloops reporting rhbz#528395
- made menu entry translatable rhbz#536878 (jmoskovc@redhat.com)
- GUI: don't read the g-k every time we want to use the setting (jmoskovc@redhat.com)
- GUI: survive if g-k access is denied rhbz#534171 (jmoskovc@redhat.com)
- include more info into oops (we were losing the stack dump) (vda.linux@googlemail.com)
- make BZ insert small text attachments inline; move text file detection code (vda.linux@googlemail.com)
- GUI: fixed text wrapping in comment field rhbz#531276 (jmoskovc@redhat.com)
- GUI: added cancel to send dialog rhbz#537238 (jmoskovc@redhat.com)
- include abrt version in bug descriptions (vda.linux@googlemail.com)
- ccpp hook: implemented ReadonlyLocalDebugInfoDirs directive (vda.linux@googlemail.com)
- GUI: added window icon rhbz#537240 (jmoskovc@redhat.com)
- add support for \" escaping in config file (vda.linux@googlemail.com)
- add experimental saving of /var/log/Xorg*.log for X crashes (vda.linux@googlemail.com)
- APPLET: changed icon from default gtk-warning to abrt specific, add animation (jmoskovc@redhat.com)
- don't show icon on abrtd start/stop rhbz#537630 (jmoskovc@redhat.com)
- /var/cache/abrt permissions 1775 -> 0775 in spec file (kklic@redhat.com)
- Daemon properly checks /var/cache/abrt attributes (kklic@redhat.com)
- abrt user group; used by abrt-pyhook-helper (kklic@redhat.com)
- pyhook-helper: uid taken from system instead of command line (kklic@redhat.com)
- KerneloopsSysLog: fix breakage in code which detects abrt marker (vda.linux@googlemail.com)
- GUI: added support for backtrace rating (jmoskovc@redhat.com)
- InformAllUsers support. enabled by default for Kerneloops. Tested wuth CCpp. (vda.linux@googlemail.com)
- abrtd: call res_init() if /etc/resolv.conf or friends were changed rhbz#533589 (vda.linux@googlemail.com)
- supress errors in python hook to not colide with the running script (jmoskovc@redhat.com)

* Tue Nov 10 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.11-2
- spec file fixes

* Mon Nov  2 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.11-1
- re-enabled kerneloops
- abrt-debuginfo-install: download packages one-by-one - better logging (vda.linux@googlemail.com)
- do not report empty fields (vda.linux@googlemail.com)
- Added abrt.png, fixed rhbz#531181 (jmoskovc@redhat.com)
- added option DebugInfoCacheMB to limit size of unpacked debuginfos (vda.linux@googlemail.com)
- fixed the problem with overwriting the default plugin settings (jmoskovc@redhat.com)
- disabled kerneloops in config file (jmoskovc@redhat.com)
- added dependency to gdb >= 7.0 (jmoskovc@redhat.com)
- better format of report text (vda.linux@googlemail.com)
- Python backtrace size limited to 1 MB (kklic@redhat.com)
- lib/Plugins/Bugzilla: better message at login failure (vda.linux@googlemail.com)
- build fixes, added plugin-logger to abrt-desktop (jmoskovc@redhat.com)
- blacklisted nspluginwrapper, because it causes too many useless reports (jmoskovc@redhat.com)
- GUI: Wrong settings window is not shown behind the reporter dialog rhbz#531119 (jmoskovc@redhat.com)
- Normal user can see kerneloops and report it Bugzilla memory leaks fix (npajkovs@redhat.com)
- dumpoops: add -s option to dump results to stdout (vda.linux@googlemail.com)
- removed kerneloops from abrt-desktop rhbz#528395 (jmoskovc@redhat.com)
- GUI: fixed exception when enabling plugin rhbz#530495 (jmoskovc@redhat.com)
- Improved abrt-cli (kklic@redhat.com)
- Added backtrace rating to CCpp analyzer (dnovotny@redhat.com)
- GUI improvements (jmoskovc@redhat.com)
- Added abrt-pyhook-helper (kklic@redhat.com)

* Thu Oct 15 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.10-1
- new version
- added more logging (vda.linux@googlemail.com)
- made polkit policy to be more permissive when installing debuginfo (jmoskovc@redhat.com)
- lib/Plugins/CCpp.cpp: add build-ids to backtrace (vda.linux@googlemail.com)
- lib/Plugins/CCpp.cpp: do not use temp file for gdb commands - use -ex CMD instead (vda.linux@googlemail.com)
- GUI: added refresh button, added sanity check to plugin settings (jmoskovc@redhat.com)
- Initial man page for abrt-cli (kklic@redhat.com)
- Added --version, -V, --help, -? options. Fixed crash caused by unknown option. (kklic@redhat.com)
- Date/time honors current system locale (kklic@redhat.com)
- fixed saving/reading user config (jmoskovc@redhat.com)
- SPEC: added gnome-python2-gnomekeyring to requirements (jmoskovc@redhat.com)
- GUI: call Report() with the latest pluginsettings (jmoskovc@redhat.com)
- Fix Bug 526220 -  [abrt] crash detected in abrt-gui-0.0.9-2.fc12 (vda.linux@googlemail.com)
- removed unsecure reading/writting from ~HOME directory rhbz#522878 (jmoskovc@redhat.com)
- error checking added to archive creation (danny@rawhide.localdomain)
- try using pk-debuginfo-install before falling back to debuginfo-install (vda.linux@googlemail.com)
- abrt-gui: make "report" toolbar button work even if abrtd is not running (vda.linux@googlemail.com)
- set LIMIT_MESSAGE to 16k, typo fix and daemon now reads config information from dbus (npajkovs@redhat.com)
- add support for abrtd autostart (vda.linux@googlemail.com)
- GUI: reversed the dumplist, so the latest crashes are at the top (jmoskovc@redhat.com)
- rewrite FileTransfer to use library calls instead of commandline calls for compression (dnovotny@redhat.com)
- and many minor fixes ..

* Wed Sep 23 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.9-2
- added bug-buddy to provides rhbz#524934

* Tue Sep 22 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.9-1
- new version
- comments and how to reproduce are stored now (npajkovs@redhat.com)
- reduce verbosity a bit (vda.linux@googlemail.com)
- GUI: fixed word wrap in Comment field rhbz#524349 (jmoskovc@redhat.com)
- remove last vestives of dbus-c++ from build system (vda.linux@googlemail.com)
- GUI: added popup menu, fixed behaviour when run with root privs (jmoskovc@redhat.com)
- add dbus signalization when quota exceeded (npajkovs@redhat.com)
- Added cleaning of attachment variable, so there should not be mixed attachmetn anymore. (zprikryl@redhat.com)
- fixed closing of debug dump in case of existing backtrace (zprikryl@redhat.com)
- remove C++ dbus glue in src/CLI; fix a bug in --report (vda.linux@googlemail.com)
- new polkit action for installing debuginfo, default "yes" (danny@rawhide.localdomain)
- Polkit moved to Utils (can be used both in daemon and plugins) (danny@rawhide.localdomain)
- oops... remove stray trailing '\' (vda.linux@googlemail.com)
- GUI: added missing tooltips (jmoskovc@redhat.com)
- PYHOOK: ignore KeyboardInterrupt exception (jmoskovc@redhat.com)
- added ticket uploader plugin (gavin@redhat.com) (zprikryl@redhat.com)
- GUI: added UI for global settings (just preview, not usable!) (jmoskovc@redhat.com)
- Add checker if bugzilla login and password are filled in. (npajkovs@redhat.com)
- Add new config option InstallDebuginfo into CCpp.conf (npajkovs@redhat.com)
- translation updates
- many other fixes

* Fri Sep  4 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.8.5-1
- new version
- APPLET: added about dialog, removed popup, if icon is not visible, fixed (trac#43) (jmoskovc@redhat.com)
- renamed abrt to abrtd, few minor spec file fixes (jmoskovc@redhat.com)
- Made abrt service start by deafult (jmoskovc@redhat.com)
- add gettext support for all plugins (npajkovs@redhat.com)
- APPLET: removed the warning bubble about not running abrt service (walters)
- APPLET: changed tooltip rhbz#520293 (jmoskovc@redhat.com)
- CommLayerServerDBus: rewrote to use dbus, not dbus-c++ (vda.linux@googlemail.com)
- fixed timeout on boot causing [ FAILED ] message (vda.linux@googlemail.com)
- and many other fixes

* Wed Sep 02 2009  Colin Walters <watlers@verbum.org> 0.0.8-2
- Change Conflicts: kerneloops to be an Obsoletes so we do the right thing
  on upgrades.  Also add an Obsoletes: bug-buddy.

* Wed Aug 26 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.8-1
- new version
- resolved: Bug 518420 -  ordinary user's abrt-applet shows up for root owned crashes (npajkovs)
- GUI: added support for gettext (+part of czech translation) (jmoskovc)
- added support for saving settings (zprikryl)
- fixed conf: comment in the middle of the line isn't supported anymore (zprikryl)
- BZ#518413 PATCH ... furious kerneloops reporting (aarapov)
- GUI: added first part of support for gettext (jmoskovc)
- add new parameter to FileTransfer plugin (dnovotny)
- added support for updating abrt's table (zprikryl)
- added check for cc-list and reporter. +1 is created iff reporter is somebody else and current user isn't in cc list. (zprikryl)
- GUI: few improvements, to be more userfriendly (jmoskovc)
- LOGGER: return valid uri of the log file on succes (jmoskovc)
- GUI: bring the GUI up to front instead of just blinking in taskbar (trac#60, rhbz#512390) (jmoskovc)
- Try to execute $bindir/abrt-gui, then fall back to $PATH search. Closes bug 65 (vda.linux)
- APPLET: added popup menu (trac#37, rhbz#518386) (jmoskovc)
- Improved report results (zprikryl)
- Fixed sigsegv (#rhbz 518609) (zprikryl)
- GUI: removed dependency on libsexy if gtk2 >= 2.17 (jmoskovc)
- fixed signature check (zprikryl)
- KerneloopsSysLog: check line length to be >= 4 before looking for "Abrt" (vda.linux)
- Comment cannot start in the middle of the line. Comment has to start by Char # (first char in the line) (zprikryl)
- command mailx isn't run under root anymore. (zprikryl)
- GUI: added horizontal scrolling to report window (jmoskovc)
- GUI: added clickable link to "after report" status window (jmoskovc)
- added default values for abrt daemon (zprikryl)
- Plugins/CCpp: remove trailing \n from debuginfo-install's output (vda.linux)
- explain EnableGPGCheck option better (vda.linux)
- mailx: correct English (vda.linux)
- Bugzilla.conf: correct English (vda.linux)
- GUI: nicer after report message (jmoskovc)
- BZ plugin: removed /xmlrpc.cgi from config, made the report message more user friendly (jmoskovc)
- CCpp plugin: do not abort if debuginfos aren't found (vda.linux)
- abrt.spec: bump version to 0.0.7-2 (vda.linux)
- mailx removed dangerous parameter option (zprikryl)
- minimum timeout is 1 second (zprikryl)
- in case of plugin error, don't delete debug dumps (zprikryl)
- abrt-gui: fix crash when run by root (vda.linux)
- and lot more in git log ...

* Thu Aug 20 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.7.2-1
- new version
- fixed some bugs found during test day

* Wed Aug 19 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.7.1-1
- fixes to bugzilla plugin and gui to make the report message more user-friendly

* Tue Aug 18 2009  Denys Vlasenko <dvlasenk@redhat.com> 0.0.7-2
- removed dangerous parameter option
- minimum plugin activation period is 1 second
- in case of plugin error, don't delete debug dumps
- abrt-gui: fix crash when run by root
- simplify parsing of debuginfo-install output

* Tue Aug 18 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.7-1
- new version
- added status window to show user some info after reporting a bug

* Mon Aug 17 2009  Denys Vlasenko <dvlasenk@redhat.com> 0.0.6-1
- new version
- many fixes

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 25 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.4-3
- fixed dependencies in spec file

* Tue Jun 16 2009 Daniel Novotny <dnovotny@redhat.com> 0.0.4-2
- added manual pages (also for plugins)

* Mon Jun 15 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.4-1
- new version
- added cli (only supports sockets)
- added python hook
- many fixes

* Fri Apr 10 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.3-1
- new version
- added bz plugin
- minor fix in reporter gui
- Configurable max size of debugdump storage rhbz#490889
- Wrap lines in report to keep the window sane sized
- Fixed gui for new daemon API
- removed unneeded code
- removed dependency on args
- new guuid hash creating
- fixed local UUID
- fixed debuginfo-install checks
- renamed MW library
- Added notification thru libnotify
- fixed parsing settings of action plugins
- added support for action plugins
- kerneloops - plugin: fail gracefully.
- Added commlayer to make dbus optional
- a lot of kerneloops fixes
- new approach for getting debuginfos and backtraces
- fixed unlocking of a debugdump
- replaced language and application plugins by analyzer plugin
- more excetpion handling
- conf file isn't needed
- Plugin's configuration file is optional
- Add curl dependency
- Added column 'user' to the gui
- Gui: set the newest entry as active (ticket#23)
- Delete and Report button are no longer active if no entry is selected (ticket#41)
- Gui refreshes silently (ticket#36)
- Added error reporting over dbus to daemon, error handling in gui, about dialog

* Wed Mar 11 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.2-1
- added kerneloops addon to rpm (aarapov)
- added kerneloops addon and plugin (aarapov)
- Made Crash() private
- Applet requires gui, removed dbus-glib deps
- Closing stdout in daemon rhbz#489622
- Changed applet behaviour according to rhbz#489624
- Changed gui according to rhbz#489624, fixed dbus timeouts
- Increased timeout for async dbus calls to 60sec
- deps cleanup, signal AnalyzeComplete has the crashreport as an argument.
- Fixed empty package Description.
- Fixed problem with applet tooltip on x86_64

* Wed Mar  4 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-13
- More renaming issues fixed..
- Changed BR from gtkmm24 to gtk2
- Fixed saving of user comment
- Added a progress bar, new Comment entry for user comments..
- FILENAME_CMDLINE and FILENAME_RELEASE are optional
- new default path to DB
- Rename to abrt

* Tue Mar  3 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-12
- initial fedora release
- changed SOURCE url
- added desktop-file-utils to BR
- changed crash-catcher to %%{name}

* Mon Mar  2 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-11
- more spec file fixes according to review
- async dbus method calls, added exception handler
- avoid deadlocks (zprikryl)
- root is god (zprikryl)
- create bt only once (zprikryl)

* Sat Feb 28 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-10
- New gui
- Added new method DeleteDebugDump to daemon
- Removed gcc warnings from applet
- Rewritten CCpp hook and removed dealock in DebugDumps lib (zprikryl)
- fixed few gcc warnings
- DBusBackend improvements

* Fri Feb 27 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-9
- fixed few gcc warnings
- added scrolled window for long reports

* Thu Feb 26 2009 Adam Williamson <awilliam@redhat.com> 0.0.1-8
- fixes for all issues identified in review

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-7
- Fixed cancel button behaviour in reporter
- disabled core file sending
- removed some debug messages

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-6
- fixed DB path
- added new signals to handler
- gui should survive the dbus timeout

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-5
- fixed catching debuinfo install exceptions
- some gui fixes
- added check for GPGP public key

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-4
- changed from full bt to simple bt

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-3
- spec file cleanups
- changed default paths to crash DB and log DB
- fixed some memory leaks

* Tue Feb 24 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-2
- spec cleanup
- added new subpackage gui

* Wed Feb 18 2009 Zdenek Prikryl <zprikryl@redhat.com> 0.0.1-1
- initial packing
